/* ------------------------------------------------------------------------------
FILENAME
	NewApp.r

DESCRIPTION
	This module contains resources needed for the new API and imaging
		
COPYRIGHT
	 Copyright Apple Computer, Inc. 1991-1996
	 All rights reserved. 

MODIFICATION HISTORY:

	05/21/96	Don Swatman		Modifications for halftoning, dithering and plane seperations.
	05/21/96	Jason H-H		Updated for ETO#19/MW.
	 8/26/94	dmh				Sync'd with the shipping 1.0.1 GX driver.
	 5/04/94	dmh				Updated for the f2 seed.
	 3/22/94	dmh				Updated for the b4 seed.
	12/20/93	dmh				Sync'd with the shipping 1.0b3 GX driver.
	 3/18/91	Tom Dowdy		All new today
	 	
-------------------------------------------------------------------------------- */

// standard system definitions for resources
#include "Types.r"
#include "SysTypes.r"

#include "GXPrintingResTypes.r"

// and IDs shared between the .r and the .c file
#include "CommonDefines.h"


resource 'vers' (gxPrintingDriverBaseID, purgeable) {
	0x01, 0x00, release, 0x00,
	verUS,
	"1.00",
	"1.00, Copyright \251 Apple Computer, Inc. 1989-1994"
};


// Normal 'vers' resources so we can tell what version we've got.

resource 'vers' (1, sysheap, purgeable) {
	0x1,
	0x0,
	release,
	0x0,
	verUS,
	"1.0",
	"1.0,  Apple Computer, Inc. 1989-1994"
};


resource 'vers' (2, sysheap, purgeable) {
	0x1,
	0x0,
	release,
	0x0,
	verUS,
	"1.0",
	"Sample Printer Driver"
};


/* ------------------------------------------------------------------------ */
/* RESOURCES FOR DRAFT MODE PRINTING */
/* ------------------------------------------------------------------------ */
type 'idft' {
	array charArray {
	unsigned bitstring[1] noBack = 0, Back = 1;
	unsigned bitstring[3] = 0;
	unsigned bitstring[4] rawChar = 0, Italian=1, Danish=2, British=3, German=4, Swedish=5, French=6, Spanish=7, Download=8;
	unsigned hex byte noChar = $00;
	};
};

// Note: to properly see the following characters, this file should be viewed in Courier
resource 'idft' (gxPrintingDriverBaseID, sysheap, purgeable) {
	{
	noBack,		rawChar,	$20;	noBack,		rawChar,	noChar;		// space
	noBack,		rawChar,	$21;	noBack,		rawChar,	noChar;		// !
	noBack,		rawChar,	$22;	noBack,		rawChar,	noChar;		// "
	noBack,		rawChar,	$23;	noBack,		rawChar,	noChar;		// #
	noBack,		rawChar,	$24;	noBack,		rawChar,	noChar;		// $
	noBack,		rawChar,	$25;	noBack,		rawChar,	noChar;		// %
	noBack,		rawChar,	$26;	noBack,		rawChar,	noChar;		// &
	noBack,		rawChar,	$27;	noBack,		rawChar,	noChar;		// '
	noBack,		rawChar,	$28;	noBack,		rawChar,	noChar;		// (
	noBack,		rawChar,	$29;	noBack,		rawChar,	noChar;		// )
	noBack,		rawChar,	$2A;	noBack,		rawChar,	noChar;		// *
	noBack,		rawChar,	$2B;	noBack,		rawChar,	noChar;		// +
	noBack,		rawChar,	$2C;	noBack,		rawChar,	noChar;		// ,
	noBack,		rawChar,	$2D;	noBack,		rawChar,	noChar;		// -
	noBack,		rawChar,	$2E;	noBack,		rawChar,	noChar;		// .
	noBack,		rawChar,	$2F;	noBack,		rawChar,	noChar;		// /
	
	noBack,		rawChar,	$30;	noBack,		rawChar,	noChar;		// 0
	noBack,		rawChar,	$31;	noBack,		rawChar,	noChar;		// 1
	noBack,		rawChar,	$32;	noBack,		rawChar,	noChar;		// 2
	noBack,		rawChar,	$33;	noBack,		rawChar,	noChar;		// 3
	noBack,		rawChar,	$34;	noBack,		rawChar,	noChar;		// 4
	noBack,		rawChar,	$35;	noBack,		rawChar,	noChar;		// 5
	noBack,		rawChar,	$36;	noBack,		rawChar,	noChar;		// 6
	noBack,		rawChar,	$37;	noBack,		rawChar,	noChar;		// 7
	noBack,		rawChar,	$38;	noBack,		rawChar,	noChar;		// 8
	noBack,		rawChar,	$39;	noBack,		rawChar,	noChar;		// 9
	noBack,		rawChar,	$3A;	noBack,		rawChar,	noChar;		// :
	noBack,		rawChar,	$3B;	noBack,		rawChar,	noChar;		// ;
	noBack,		rawChar,	$3C;	noBack,		rawChar,	noChar;		// <
	noBack,		rawChar,	$3D;	noBack,		rawChar,	noChar;		// =
	noBack,		rawChar,	$3E;	noBack,		rawChar,	noChar;		// >
	noBack,		rawChar,	$3F;	noBack,		rawChar,	noChar;		// ?
	
	noBack,		rawChar,	$40;	noBack,		rawChar,	noChar;		// @
	noBack,		rawChar,	$41;	noBack,		rawChar,	noChar;		// A
	noBack,		rawChar,	$42;	noBack,		rawChar,	noChar;		// B
	noBack,		rawChar,	$43;	noBack,		rawChar,	noChar;		// C
	noBack,		rawChar,	$44;	noBack,		rawChar,	noChar;		// D
	noBack,		rawChar,	$45;	noBack,		rawChar,	noChar;		// E
	noBack,		rawChar,	$46;	noBack,		rawChar,	noChar;		// F
	noBack,		rawChar,	$47;	noBack,		rawChar,	noChar;		// G
	noBack,		rawChar,	$48;	noBack,		rawChar,	noChar;		// H
	noBack,		rawChar,	$49;	noBack,		rawChar,	noChar;		// I
	noBack,		rawChar,	$4A;	noBack,		rawChar,	noChar;		// J
	noBack,		rawChar,	$4B;	noBack,		rawChar,	noChar;		// K
	noBack,		rawChar,	$4C;	noBack,		rawChar,	noChar;		// L
	noBack,		rawChar,	$4D;	noBack,		rawChar,	noChar;		// M
	noBack,		rawChar,	$4E;	noBack,		rawChar,	noChar;		// N
	noBack,		rawChar,	$4F;	noBack,		rawChar,	noChar;		// O
	noBack,		rawChar,	$50;	noBack,		rawChar,	noChar;		// P
	noBack,		rawChar,	$51;	noBack,		rawChar,	noChar;		// Q
	noBack,		rawChar,	$52;	noBack,		rawChar,	noChar;		// R
	noBack,		rawChar,	$53;	noBack,		rawChar,	noChar;		// S
	noBack,		rawChar,	$54;	noBack,		rawChar,	noChar;		// T
	noBack,		rawChar,	$55;	noBack,		rawChar,	noChar;		// U
	noBack,		rawChar,	$56;	noBack,		rawChar,	noChar;		// V
	noBack,		rawChar,	$57;	noBack,		rawChar,	noChar;		// W
	noBack,		rawChar,	$58;	noBack,		rawChar,	noChar;		// X
	noBack,		rawChar,	$59;	noBack,		rawChar,	noChar;		// Y
	noBack,		rawChar,	$5A;	noBack,		rawChar,	noChar;		// Z
	
	noBack,		rawChar,	$5B;	noBack,		rawChar,	noChar;		// [
	noBack,		rawChar,	$5C;	noBack,		rawChar,	noChar;		// \
	noBack,		rawChar,	$5D;	noBack,		rawChar,	noChar;		// ]
	noBack,		rawChar,	$5E;	noBack,		rawChar,	noChar;		// ^
	noBack,		rawChar,	$5F;	noBack,		rawChar,	noChar;		// _
	noBack,		rawChar,	$60;	noBack,		rawChar,	noChar;		// `
	
	noBack,		rawChar,	$61;	noBack,		rawChar,	noChar;		// a
	noBack,		rawChar,	$62;	noBack,		rawChar,	noChar;		// b
	noBack,		rawChar,	$63;	noBack,		rawChar,	noChar;		// c
	noBack,		rawChar,	$64;	noBack,		rawChar,	noChar;		// d
	noBack,		rawChar,	$65;	noBack,		rawChar,	noChar;		// e
	noBack,		rawChar,	$66;	noBack,		rawChar,	noChar;		// f
	noBack,		rawChar,	$67;	noBack,		rawChar,	noChar;		// g
	noBack,		rawChar,	$68;	noBack,		rawChar,	noChar;		// h
	noBack,		rawChar,	$69;	noBack,		rawChar,	noChar;		// i
	noBack,		rawChar,	$6A;	noBack,		rawChar,	noChar;		// j
	noBack,		rawChar,	$6B;	noBack,		rawChar,	noChar;		// k
	noBack,		rawChar,	$6C;	noBack,		rawChar,	noChar;		// l
	noBack,		rawChar,	$6D;	noBack,		rawChar,	noChar;		// m
	noBack,		rawChar,	$6E;	noBack,		rawChar,	noChar;		// n
	noBack,		rawChar,	$6F;	noBack,		rawChar,	noChar;		// o
	noBack,		rawChar,	$70;	noBack,		rawChar,	noChar;		// p
	noBack,		rawChar,	$71;	noBack,		rawChar,	noChar;		// q
	noBack,		rawChar,	$72;	noBack,		rawChar,	noChar;		// r
	noBack,		rawChar,	$73;	noBack,		rawChar,	noChar;		// s
	noBack,		rawChar,	$74;	noBack,		rawChar,	noChar;		// t
	noBack,		rawChar,	$75;	noBack,		rawChar,	noChar;		// u
	noBack,		rawChar,	$76;	noBack,		rawChar,	noChar;		// v
	noBack,		rawChar,	$77;	noBack,		rawChar,	noChar;		// w
	noBack,		rawChar,	$78;	noBack,		rawChar,	noChar;		// x
	noBack,		rawChar,	$79;	noBack,		rawChar,	noChar;		// y
	noBack,		rawChar,	$7A;	noBack,		rawChar,	noChar;		// z
	
	noBack,		rawChar,	$7B;	noBack,		rawChar,	noChar;		// {
	noBack,		rawChar,	$7C;	noBack,		rawChar,	noChar;		// |
	noBack,		rawChar,	$7D;	noBack,		rawChar,	noChar;		// }
	noBack,		rawChar,	$7E;	noBack,		rawChar,	noChar;		// ~
	noBack,		rawChar,	$20;	noBack,		rawChar,	noChar;		// undefined
	
	// $80 col
	noBack,		Swedish,	$5B;	noBack,		rawChar,	noChar;		// 
	noBack,		Swedish,	$5D;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$43;	Back,		rawChar,	$2C;		// 
	noBack,		rawChar,	$45;	Back,		rawChar,	$27;		// 
	noBack,		Spanish,	$5C;	noBack,		rawChar,	noChar;		// 
	noBack,		Swedish,	$5C;	noBack,		rawChar,	noChar;		// 
	noBack,		German,		$5D;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$61;	Back,		rawChar,	$27;		// 
	noBack,		Italian,	$7B;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$61;	Back,		rawChar,	$5E;		// 
	noBack,		German,		$7B;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$61;	Back,		rawChar,	$7E;		// 
	noBack,		Danish,		$7D;	noBack,		rawChar,	noChar;		// 
	noBack,		French,		$5C;	noBack,		rawChar,	noChar;		// 
	noBack,		French,		$7B;	noBack,		rawChar,	noChar;		// 
	noBack,		French,		$7D;	noBack,		rawChar,	noChar;		// 

	// $90 col
	noBack,		rawChar,	$65;	Back,		rawChar,	$5E;		// 
	noBack,		rawChar,	$22;	Back,		rawChar,	$65;		// 
	noBack,		rawChar,	$69;	Back,		rawChar,	$27;		// 
	noBack,		Italian,	$7E;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$69;	Back,		rawChar,	$5E;		// 
	noBack,		rawChar,	$22;	Back,		rawChar,	$69;		// 
	noBack,		Spanish,	$7C;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$6F;	Back,		rawChar,	$27;		// 
	noBack,		Italian,	$7C;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$6F;	Back,		rawChar,	$5E;		// 
	noBack,		Swedish,	$7C;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$6F;	Back,		rawChar,	$7E;		// 
	noBack,		rawChar,	$75;	Back,		rawChar,	$27;		// 
	noBack,		French,		$7C;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$75;	Back,		rawChar,	$5E;		// 
	noBack,		German,		$7D;	noBack,		rawChar,	noChar;		// 
		
	// $A0 col
	noBack,		rawChar,	$2B;	Back,		rawChar,	$7C;		// 
	noBack,		rawChar,	$2A;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$63;	Back,		rawChar,	$7C;		// 
	noBack,		British,	$23;	noBack,		rawChar,	noChar;		// 
	noBack,		German,		$40;	noBack,		rawChar,	noChar;		// 
	noBack,		French,		$5B;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$50;	noBack,		rawChar,	noChar;		// 
	noBack,		German,		$7E;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$4F;	Back,		rawChar,	$72;		// 
	noBack,		rawChar,	$4F;	Back,		rawChar,	$63;		// 
	noBack,		rawChar,	$74;	noBack,		rawChar,	$6D;		// 
	noBack,		rawChar,	$27;	noBack,		rawChar,	noChar;		// 
	noBack,		French,		$7E;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$3D;	Back,		rawChar,	$2F;		// 
	noBack,		Danish,		$5B;	noBack,		rawChar,	noChar;		// 
	noBack,		Danish,		$5C;	noBack,		rawChar,	noChar;		// 
	
	// $B0 col
	noBack,		rawChar,	$4F;	Back,		rawChar,	$7C;		// 
	noBack,		rawChar,	$2B;	Back,		rawChar,	$5F;		// 
	noBack,		rawChar,	$3C;	Back,		rawChar,	$5F;		// 
	noBack,		rawChar,	$3E;	Back,		rawChar,	$5F;		// 
	noBack,		rawChar,	$59;	Back,		rawChar,	$3D;		// 
	noBack,		rawChar,	$75;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$40;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$DC;	Back,		rawChar,	$3E;		// 
	noBack,		rawChar,	$6E;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$6E;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$2F;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$61;	Back,		rawChar,	$5F;		// 
	noBack,		rawChar,	$6F;	Back,		rawChar,	$5F;		// 
	noBack,		rawChar,	$5A;	noBack,		rawChar,	noChar;		// 
	noBack,		Danish,		$7B;	noBack,		rawChar,	noChar;		// 
	noBack,		Danish,		$7C;	noBack,		rawChar,	noChar;		// 

	// $C0 col
	noBack,		Spanish,	$5D;	noBack,		rawChar,	noChar;		// 
	noBack,		Spanish,	$5B;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$CC;	Back,		rawChar,	$DA;		// 
	noBack,		rawChar,	$C5;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$53;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$3D;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$5E;	Back,		rawChar,	$2D;		// 
	noBack,		rawChar,	$C8;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$D5;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$C9;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$20;	noBack,		rawChar,	noChar;		// non-breaking space
	noBack,		rawChar,	$41;	Back,		rawChar,	$60;		// 
	noBack,		rawChar,	$41;	Back,		rawChar,	$7E;		// 
	noBack,		rawChar,	$4F;	Back,		rawChar,	$7E;		// 
	noBack,		rawChar,	$4F;	noBack,		rawChar,	$45;		// 
	noBack,		rawChar,	$6F;	noBack,		rawChar,	$65;		// 
	
	// $D0 col
	noBack,		rawChar,	$2D;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$D3;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$22;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$22;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$27;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$60;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$2B;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$DB;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$79;	Back,		rawChar,	$22;		// 
	noBack,		rawChar,	$59;	Back,		rawChar,	$22;		// 
	noBack,		rawChar,	$2F;	noBack,		rawChar,	noChar;		// /
	noBack,		rawChar,	$DD;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$3C;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$3E;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$66;	noBack,		rawChar,	$69;		// 
	noBack,		rawChar,	$66;	noBack,		rawChar,	$6C;		// 
	
	// $E0 col
	noBack,		rawChar,	$3D;	Back,		rawChar,	$7C;		// 
	noBack,		rawChar,	$2E;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$2C;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$2C;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$25;	noBack,		rawChar,	noChar;		// 
	noBack,		Danish,		$5D;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$45;	Back,		rawChar,	$5E;		// 
	noBack,		rawChar,	$41;	Back,		rawChar,	$27;		// 
	noBack,		rawChar,	$45;	Back,		rawChar,	$22;		// 
	noBack,		rawChar,	$45;	Back,		rawChar,	$60;		// 
	noBack,		rawChar,	$49;	Back,		rawChar,	$27;		// 
	noBack,		rawChar,	$49;	Back,		rawChar,	$5E;		// 
	noBack,		rawChar,	$49;	Back,		rawChar,	$22;		// 
	noBack,		rawChar,	$49;	Back,		rawChar,	$60;		// 
	noBack,		rawChar,	$4F;	Back,		rawChar,	$27;		// 
	noBack,		rawChar,	$4F;	Back,		rawChar,	$5E;		// 
	
	// $F0 col
	noBack,		rawChar,	$C0;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$4F;	Back,		rawChar,	$60;		// 
	noBack,		rawChar,	$55;	Back,		rawChar,	$27;		// 
	noBack,		rawChar,	$55;	Back,		rawChar,	$5E;		// 
	noBack,		rawChar,	$55;	Back,		rawChar,	$60;		// 
	noBack,		rawChar,	$69;	noBack,		rawChar,	noChar;		// i
	noBack,		rawChar,	$5E;	noBack,		rawChar,	noChar;		// ^
	noBack,		Danish,		$7E;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$2D;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$2D;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$2E;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$2E;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$2C;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$22;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$2C;	noBack,		rawChar,	noChar;		// 
	noBack,		rawChar,	$5E;	noBack,		rawChar,	noChar;		// 
	
	
	};
};

// This 'STR#' contains a list of all of the native mode fonts that are supported.  Note the fonts
// listed here MUST exist in the target system.

resource 'STR#' (kFormatModeFontsID, sysheap, purgeable) 
{
	{
		"Monaco"
	}
};


// This 'STR#' contains a list of all of the native mode styles that are supported (the indices into the
// list are well known so don't reorder them.

resource 'STR#' (kFormatModeStylesID, sysheap, purgeable) 
{
	{
		"Bold",			//	kBoldStyle
		"Underline"		//	kUnderlineStyle
	}
};

// This 'STR#' contains a list of all of the qualities that are supported.

resource 'STR#' (kNewQualityID, sysheap, purgeable) 
{
	{
		"Best",
		"Rough"
	}
};

/* ------------------------------------------------------------------------ */
/* RESOURCES FOR THE BNDL AND ICON */
/* ------------------------------------------------------------------------ */

type DriverCreator
	{
	pstring;
	};

resource 'BNDL' (gxPrintingDriverBaseID + 1, sysheap, purgeable) {
	DriverCreator,
	0,
	{
		'ICN#', { 0, gxPrintingDriverBaseID + 2; 1, gxPrintingDriverBaseID + 3; 2, gxPrintingDriverBaseID + 4; 3, gxPrintingDriverBaseID + 5; 4, gxPrintingDriverBaseID + 6; 5, gxPrintingDriverBaseID + 7; 6, gxPrintingDriverBaseID + 8},
		'FREF', { 0, gxPrintingDriverBaseID + 2; 1, gxPrintingDriverBaseID + 3; 2, gxPrintingDriverBaseID + 4; 3, gxPrintingDriverBaseID + 5; 4, gxPrintingDriverBaseID + 6; 5, gxPrintingDriverBaseID + 7; 6, gxPrintingDriverBaseID + 8; 0, gxPrintingDriverBaseID + 1}
	}
};

resource 'FREF' (gxPrintingDriverBaseID + 1, sysheap, purgeable) { DriverType, 0, "" };

resource 'FREF' (gxPrintingDriverBaseID + 2, sysheap, purgeable) { 'dpnn', 0, "" };
resource 'FREF' (gxPrintingDriverBaseID + 3, sysheap, purgeable) { 'dpns', 1, "" };
resource 'FREF' (gxPrintingDriverBaseID + 4, sysheap, purgeable) { 'dpcn', 2, "" };
resource 'FREF' (gxPrintingDriverBaseID + 5, sysheap, purgeable) { 'dpcs', 3, "" };
resource 'FREF' (gxPrintingDriverBaseID + 6, sysheap, purgeable) { 'dpna', 4, "" };
resource 'FREF' (gxPrintingDriverBaseID + 7, sysheap, purgeable) { 'dvcf', 4, "" };
resource 'FREF' (gxPrintingDriverBaseID + 8, sysheap, purgeable) { 'dppz', 5, "" };

/* driver icons */
// non-current, non-shared
resource 'ics#' (gxPrintingDriverBaseID + 2, sysheap, purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"3FF8 2008 2AA8 2188 2AA8 2188 2AA8 2188"
		$"2828 FFFE A00B BFFB 8003 FFFF 8002 FFFE",
		/* [2] */
		$"3FF8 3FF8 3FF8 3FF8 3FF8 3FF8 3FF8 3FF8"
		$"3FF8 FFFE FFFF FFFF FFFF FFFF FFFE FFFE"
	}
};

resource 'ics4' (gxPrintingDriverBaseID + 2, sysheap, purgeable) {
	$"00FF FFFF FFFF F000 00FC 0C0C 0C0C F000"
	$"00F0 E070 70E0 F000 00FC 0C07 7C0C F000"
	$"00F0 E040 40E0 F000 00FC 0C04 4C0C F000"
	$"00F0 E010 10E0 F000 00FC 0C01 1C0C F000"
	$"00F0 E0C0 C0E0 F000 EFFF FFFF FFFF FFE0"
	$"FCEC CCCC CCCC ECFF FCEE EEEE EEEE ECFF"
	$"FC8C CCCC CCCC CCFF FD3D DDDD DDDD DDFF"
	$"FCCC CCCC CCCC CCF0 EFFF FFFF FFFF FFE0"
};

resource 'ics8' (gxPrintingDriverBaseID + 2, sysheap, purgeable) {
	$"0000 FFFF FFFF FFFF FFFF FFFF FF00 0000"
	$"0000 FFF5 F5F5 F5F5 F5F5 F5F5 FF00 0000"
	$"0000 FFF5 FCF5 C0F5 C0F5 FCF5 FF00 0000"
	$"0000 FFF5 F5F5 F5C0 C0F5 F5F5 FF00 0000"
	$"0000 FFF5 FCF5 20F5 20F5 FCF5 FF00 0000"
	$"0000 FFF5 F5F5 F520 20F5 F5F5 FF00 0000"
	$"0000 FFF5 FCF5 05F5 05F5 FCF5 FF00 0000"
	$"0000 FFF5 F5F5 F505 05F5 F5F5 FF00 0000"
	$"0000 FFF5 FCF5 F5F5 F5F5 FCF5 FF00 0000"
	$"FCFF FFFF FFFF FFFF FFFF FFFF FFFF FC00"
	$"FF2B FC2B 2B2B 2B2B 2B2B 2B2B FC2B FFFF"
	$"FF2B FCFC FCFC FCFC FCFC FCFC FC2B FFFF"
	$"FF2B E32B 2B2B 2B2B 2B2B 2B2B 2B2B FFFF"
	$"FFF9 D8F9 F9F9 F9F9 F9F9 F9F9 F9F9 FFFF"
	$"FF2B 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B FF00"
	$"FCFF FFFF FFFF FFFF FFFF FFFF FFFF FC"
};

resource 'ICN#' (gxPrintingDriverBaseID + 2, sysheap, purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0000 0000 07FF FF00 0400 0100"
		$"0500 0500 042A E100 0505 6500 042A A100"
		$"0505 6500 042A A100 0505 6500 042A E100"
		$"0505 6500 042A A100 0505 6500 042A E100"
		$"0500 0500 0400 0100 FFFF FFFF 9000 0049"
		$"FFFF FFF9 9000 0049 9FFF FFC9 8000 0009"
		$"FFFF FFF9 8000 000F 9800 0008 9800 0008"
		$"8000 0008 FFFF FFF8",
		/* [2] */
		$"0000 0000 0000 0000 07FF FF00 07FF FF00"
		$"07FF FF00 07FF FF00 07FF FF00 07FF FF00"
		$"07FF FF00 07FF FF00 07FF FF00 07FF FF00"
		$"07FF FF00 07FF FF00 07FF FF00 07FF FF00"
		$"07FF FF00 07FF FF00 FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFF8 FFFF FFF8"
		$"FFFF FFF8 FFFF FFF8"
	}
};

resource 'icl4' (gxPrintingDriverBaseID + 2, sysheap, purgeable) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0FFF FFFF FFFF FFFF FFFF 0000 0000"
	$"0000 0F0C 0C0C 0C0C 0C0C 0C0F 0000 0000"
	$"0000 0FCE C0C0 C0C0 C0C0 CECF 0000 0000"
	$"0000 0F0C 0C7C 7C7C 777C 0C0F 0000 0000"
	$"0000 0FCE C0C0 C7C7 C770 CECF 0000 0000"
	$"0000 0F0C 0C7C 7C7C 7C7C 0C0F 0000 0000"
	$"0000 0FCE C0C0 C4C4 C440 CECF 0000 0000"
	$"0000 0F0C 0C4C 4C4C 4C4C 0C0F 0000 0000"
	$"0000 0FCE C0C0 C4C4 C440 CECF 0000 0000"
	$"0000 0F0C 0C1C 1C1C 111C 0C0F 0000 0000"
	$"0000 0FCE C0C0 C1C1 C110 CECF 0000 0000"
	$"0000 0F0C 0C1C 1C1C 1C1C 0C0F 0000 0000"
	$"0000 0FCE C0C0 CFCF CFF0 CECF 0000 0000"
	$"0000 0F0C 0CFC FCFC FFFC 0C0F 0000 0000"
	$"0000 0FCE C0C0 C0C0 C0C0 CECF 0000 0000"
	$"0000 0F0C 0C0C 0C0C 0C0C 0C0F 0000 0000"
	$"EFFF FFFF FFFF FFFF FFFF FFFF FFFF EFFE"
	$"FCCE CCCC CCCC CCCC CCCC CCCC CECC FDDF"
	$"FDDE DDDD DDDD DDDD DDDD DDDD DEDD FC0F"
	$"FCCE CCCC CCCC CCCC CCCC CCCC CECC FDCF"
	$"FCCE EEEE EEEE EEEE EEEE EEEE EECC FEDF"
	$"FCCC CCCC CCCC CCCC CCCC CCCC CCCC FEEF"
	$"FDDD DDDD DDDD DDDD DDDD DDDD DDDD FFEF"
	$"FC0C 0C0C 0C0C 0C0C 0C0C 0C0C 0C0C FFFE"
	$"FCC8 8CCC CCCC CCCC CCCC CCCC CCCC F000"
	$"FCC3 3CCC CCCC CCCC CCCC CCCC CCCC F000"
	$"FCCC CCCC CCCC CCCC CCCC CCCC CCCC F000"
	$"EFFF FFFF FFFF FFFF FFFF FFFF FFFF E0"
};

resource 'icl8' (gxPrintingDriverBaseID + 2, sysheap, purgeable) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 00FF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF 0000 0000 0000 0000"
	$"0000 0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5FF 0000 0000 0000 0000"
	$"0000 0000 00FF F5FB F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5FB F5FF 0000 0000 0000 0000"
	$"0000 0000 00FF F5F5 F5F5 C0F5 C0F5 C0F5"
	$"C0C0 C0F5 F5F5 F5FF 0000 0000 0000 0000"
	$"0000 0000 00FF F5FB F5F5 F5F5 F5C0 F5C0"
	$"F5C0 C0F5 F5FB F5FF 0000 0000 0000 0000"
	$"0000 0000 00FF F5F5 F5F5 C0F5 C0F5 C0F5"
	$"C0F5 C0F5 F5F5 F5FF 0000 0000 0000 0000"
	$"0000 0000 00FF F5FB F5F5 F5F5 F520 F520"
	$"F520 20F5 F5FB F5FF 0000 0000 0000 0000"
	$"0000 0000 00FF F5F5 F5F5 20F5 20F5 20F5"
	$"20F5 20F5 F5F5 F5FF 0000 0000 0000 0000"
	$"0000 0000 00FF F5FB F5F5 F5F5 F520 F520"
	$"F520 20F5 F5FB F5FF 0000 0000 0000 0000"
	$"0000 0000 00FF F5F5 F5F5 05F5 05F5 05F5"
	$"0505 05F5 F5F5 F5FF 0000 0000 0000 0000"
	$"0000 0000 00FF F5FB F5F5 F5F5 F505 F505"
	$"F505 05F5 F5FB F5FF 0000 0000 0000 0000"
	$"0000 0000 00FF F5F5 F5F5 05F5 05F5 05F5"
	$"05F5 05F5 F5F5 F5FF 0000 0000 0000 0000"
	$"0000 0000 00FF F5FB F5F5 F5F5 F5FF F5FF"
	$"F5FF FFF5 F5FB F5FF 0000 0000 0000 0000"
	$"0000 0000 00FF F5F5 F5F5 FFF5 FFF5 FFF5"
	$"FFFF FFF5 F5F5 F5FF 0000 0000 0000 0000"
	$"0000 0000 00FF F5FB F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5FB F5FF 0000 0000 0000 0000"
	$"0000 0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5FF 0000 0000 0000 0000"
	$"FBFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FBFF FFFB"
	$"FF2B 2BFC 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2BFC 2B2B FFF9 F9FF"
	$"FFF9 F9FC F9F9 F9F9 F9F9 F9F9 F9F9 F9F9"
	$"F9F9 F9F9 F9F9 F9F9 F9FC F9F9 FFF8 F5FF"
	$"FF2B 2BFC 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2BFC 2B2B FFF9 2BFF"
	$"FF2B 2BFC FCFC FCFC FCFC FCFC FCFC FCFC"
	$"FCFC FCFC FCFC FCFC FCFC 2B2B FFFB F9FF"
	$"FF2B 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2B2B FFFD FBFF"
	$"FFF9 F9F9 F9F9 F9F9 F9F9 F9F9 F9F9 F9F9"
	$"F9F9 F9F9 F9F9 F9F9 F9F9 F9F9 FFFE FDFF"
	$"FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 FFFF FFFB"
	$"FF2B 2BE3 E32B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2B2B FF00 0000"
	$"FF2B 2BD8 D82B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2B2B FF00 0000"
	$"FF2B 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2B2B FF00 0000"
	$"FBFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FB"
};

// non-current, shared
resource 'ICN#' (gxPrintingDriverBaseID + 3, sysheap, purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 00FF FF80 0080 0080 0080 0080"
		$"00AA BA80 0081 5880 00AA AA80 0081 5880"
		$"00AA AA80 0081 5880 00AA BA80 0080 0080"
		$"1FFF FFFF 1200 0025 1E00 003D 13FF FFE5"
		$"1000 0005 1FFF FFFD 1000 0007 1300 0204"
		$"1000 0284 1FFF FEFC 0000 0280 0000 07C0"
		$"0000 0440 0000 0440 0000 07C0 0000 0540"
		$"BFFF F93D 0000 0280 BFFF FC7D",
		/* [2] */
		$"0000 0000 00FF FF80 00FF FF80 00FF FF80"
		$"00FF FF80 00FF FF80 00FF FF80 00FF FF80"
		$"00FF FF80 00FF FF80 00FF FF80 00FF FF80"
		$"1FFF FFFF 1FFF FFFF 1FFF FFFF 1FFF FFFF"
		$"1FFF FFFF 1FFF FFFF 1FFF FFFF 1FFF FFFC"
		$"1FFF FFFC 1FFF FFFC 0000 0380 0000 07C0"
		$"0000 07C0 0000 07C0 0000 07C0 0000 07C0"
		$"FFFF FFFF FFFF FEFF FFFF FC7F"
	}
};

resource 'icl4' (gxPrintingDriverBaseID + 3, sysheap, purgeable) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 FFFF FFFF FFFF FFFF F000 0000"
	$"0000 0000 F000 0000 0000 0000 F000 0000"
	$"0000 0000 F000 0000 0000 0000 F000 0000"
	$"0000 0000 F0E0 7070 7077 70E0 F000 0000"
	$"0000 0000 F000 0007 0707 7000 F000 0000"
	$"0000 0000 F0E0 7070 7070 70E0 F000 0000"
	$"0000 0000 F000 0004 0404 4000 F000 0000"
	$"0000 0000 F0E0 4040 4040 40E0 F000 0000"
	$"0000 0000 F000 0004 0404 4000 F000 0000"
	$"0000 0000 F0E0 1010 1011 10E0 F000 0000"
	$"0000 0000 F000 0000 0000 0000 F000 0000"
	$"000E FFFF FFFF FFFF FFFF FFFF FFFF FEFE"
	$"000F CCEC CCCC CCCC CCCC CCCC CCEC CFDF"
	$"000F DDED DDDD DDDD DDDD DDDD DDED DF0F"
	$"000F CCEE EEEE EEEE EEEE EEEE EEEC CFDF"
	$"000F CCCC CCCC CCCC CCCC CCCC CCCC CFEF"
	$"000F DDDD DDDD DDDD DDDD DDDD DDDD DFAF"
	$"000F 0088 0000 0000 0000 0000 0000 0FFE"
	$"000F CC33 CCCC CCCC CCCC CCDC DCCC CF00"
	$"000F CCCC CCCC CCCC CCCC CCEC ECCC CF00"
	$"000E FFFF FFFF FFFF FFFF FFFC EFFF FE00"
	$"0000 0000 0000 0000 0000 00FC F000 0000"
	$"0000 0000 0000 0000 0000 0FFF FF00 0000"
	$"0000 0000 0000 0000 0000 0FCC CF00 0000"
	$"0000 0000 0000 0000 0000 0FCC CF00 0000"
	$"0000 0000 0000 0000 0000 0FFF FF00 0000"
	$"0000 0000 0000 0000 0000 0FCF CF00 0000"
	$"CCCC CCCC CDDD DDDE EEEE ECCF CCFF EEDD"
	$"0000 0CCC CCCC CCCC CCCC CCF0 FCCC CCCC"
	$"CCCC DDDD DDEE EEEE FFFF FF00 0FFF FEED"
};

resource 'icl8' (gxPrintingDriverBaseID + 3, sysheap, purgeable) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FF00 0000 0000 0000"
	$"0000 0000 0000 0000 FFF5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 FF00 0000 0000 0000"
	$"0000 0000 0000 0000 FFF5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 FF00 0000 0000 0000"
	$"0000 0000 0000 0000 FFF5 FBF5 C0F5 C0F5"
	$"C0F5 C0C0 C0F5 FBF5 FF00 0000 0000 0000"
	$"0000 0000 0000 0000 FFF5 F5F5 F5F5 F5C0"
	$"F5C0 F5C0 C0F5 F5F5 FF00 0000 0000 0000"
	$"0000 0000 0000 0000 FFF5 FBF5 C0F5 C0F5"
	$"C0F5 C0F5 C0F5 FBF5 FF00 0000 0000 0000"
	$"0000 0000 0000 0000 FFF5 F5F5 F5F5 F520"
	$"F520 F520 20F5 F5F5 FF00 0000 0000 0000"
	$"0000 0000 0000 0000 FFF5 FBF5 20F5 20F5"
	$"20F5 20F5 20F5 FBF5 FF00 0000 0000 0000"
	$"0000 0000 0000 0000 FFF5 F5F5 F5F5 F520"
	$"F520 F520 20F5 F5F5 FF00 0000 0000 0000"
	$"0000 0000 0000 0000 FFF5 FBF5 05F5 05F5"
	$"05F5 0505 05F5 FBF5 FF00 0000 0000 0000"
	$"0000 0000 0000 0000 FFF5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 FF00 0000 0000 0000"
	$"0000 00FB FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFB FFFB"
	$"0000 00FF 2B2B FC2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B FC2B 2BFF F9FF"
	$"0000 00FF F9F9 FCF9 F9F9 F9F9 F9F9 F9F9"
	$"F9F9 F9F9 F9F9 F9F9 F9F9 FCF9 F9FF F5FF"
	$"0000 00FF 2B2B FCFC FCFC FCFC FCFC FCFC"
	$"FCFC FCFC FCFC FCFC FCFC FC2B 2BFF F9FF"
	$"0000 00FF 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2B2B 2BFF FBFF"
	$"0000 00FF F9F9 F9F9 F9F9 F9F9 F9F9 F9F9"
	$"F9F9 F9F9 F9F9 F9F9 F9F9 F9F9 F9FF FDFF"
	$"0000 00FF F5F5 E3E3 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5FF FFFB"
	$"0000 00FF 2B2B D8D8 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B FA2B FA2B 2B2B 2BFF 0000"
	$"0000 00FF 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B FC2B FC2B 2B2B 2BFF 0000"
	$"0000 00FB FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FC2B FDFF FFFF FFFB 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 FC2B FD00 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 00FF FFFF FFFF 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 00FF 2B2B 2BFF 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 00FF 2B2B 2BFF 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 00FF FFFF FFFF 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 00FF 2BFE 2BFD 0000 0000 0000"
	$"F6F6 F6F7 F7F7 F8F8 F8F9 F9F9 FAFA FAFB"
	$"FBFB FCFC FC2B 2BFE 2B2B FDFD FCFC FAFA"
	$"F5F5 F5F5 F5F6 F6F6 F6F6 F6F6 2B2B 2B2B"
	$"2B2B 2B2B 2B2B FE00 FE2B 2B2B 2B2B 2B2B"
	$"F8F8 F8F8 F9F9 F9FA FAFA FBFB FBFC FCFC"
	$"FDFD FDFE FEFE 0000 00FE FEFD FDFC FCFA"
};

// current, non-shared
resource 'ICN#' (gxPrintingDriverBaseID + 4, sysheap, purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0FFF FF80 1FFF FFC0 1FFF FFC0"
		$"1C00 01C0 1D00 05C0 1C2A E1C0 1D05 65C0"
		$"1C2A A1C0 1D05 65C0 1C2A A1C0 1D05 65C0"
		$"1C2A E1C0 1D05 65C0 1C2A A1C0 1D05 65C0"
		$"1C2A E1C0 7D00 05FE FC00 01FF FFFF FFFF"
		$"F000 004F F000 004F F000 004F FFFF FFCF"
		$"E000 000F E000 000F E000 000F F800 000E"
		$"F800 000E FFFF FFFE FFFF FFFE 7FFF FFFC",
		/* [2] */
		$"0000 0000 0FFF FF80 1FFF FFC0 1FFF FFC0"
		$"1FFF FFC0 1FFF FFC0 1FFF FFC0 1FFF FFC0"
		$"1FFF FFC0 1FFF FFC0 1FFF FFC0 1FFF FFC0"
		$"1FFF FFC0 1FFF FFC0 1FFF FFC0 1FFF FFC0"
		$"1FFF FFC0 7FFF FFFE FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFE"
		$"FFFF FFFE FFFF FFFE FFFF FFFE 7FFF FFFC"
	}
};

resource 'icl4' (gxPrintingDriverBaseID + 4, sysheap, purgeable) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 FFFF FFFF FFFF FFFF FFFF F000 0000"
	$"000F FFFF FFFF FFFF FFFF FFFF FF00 0000"
	$"000F FFFF FFFF FFFF FFFF FFFF FF00 0000"
	$"000F FF0C 0C0C 0C0C 0C0C 0C0F FF00 0000"
	$"000F FFCE C0C0 C0C0 C0C0 CECF FF00 0000"
	$"000F FF0C 0C7C 7C7C 777C 0C0F FF00 0000"
	$"000F FFCE C0C0 C7C7 C770 CECF FF00 0000"
	$"000F FF0C 0C7C 7C7C 7C7C 0C0F FF00 0000"
	$"000F FFCE C0C0 C4C4 C440 CECF FF00 0000"
	$"000F FF0C 0C4C 4C4C 4C4C 0C0F FF00 0000"
	$"000F FFCE C0C0 C4C4 C440 CECF FF00 0000"
	$"000F FF0C 0C1C 1C1C 111C 0C0F FF00 0000"
	$"000F FFCE C0C0 C1C1 C110 CECF FF00 0000"
	$"000F FF0C 0C1C 1C1C 1C1C 0C0F FF00 0000"
	$"000F FFCE C0C0 CFCF CFF0 CECF FF00 0000"
	$"000F FF0C 0CFC FCFC FFFC 0C0F FF00 0000"
	$"0FFF FFCE C0C0 C0C0 C0C0 CECF FFFF FFF0"
	$"FFFF FF0C 0C0C 0C0C 0C0C 0C0F FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFE CCCC CCCC CCCC CCCC CCCC CECC FFFF"
	$"FFFE DDDD DDDD DDDD DDDD DDDD DEDD FFFF"
	$"FFFE CCCC CCCC CCCC CCCC CCCC CECC FFFF"
	$"FFFE EEEE EEEE EEEE EEEE EEEE EECC FFFF"
	$"FFFC CCCC CCCC CCCC CCCC CCCC CCCC FFFF"
	$"FFFD DDDD DDDD DDDD DDDD DDDD DDDD FFFF"
	$"FFF0 0000 0000 0000 0000 0000 0000 FFFF"
	$"FFF8 8CCC CCCC CCCC CCCC CCCC CCCC FFF0"
	$"FFF3 3CCC CCCC CCCC CCCC CCCC CCCC FFF0"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFF0"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFF0"
	$"0FFF FFFF FFFF FFFF FFFF FFFF FFFF FF"
};

resource 'icl8' (gxPrintingDriverBaseID + 4, sysheap, purgeable) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FF00 0000 0000 0000"
	$"0000 00FF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF 0000 0000 0000"
	$"0000 00FF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF 0000 0000 0000"
	$"0000 00FF FFFF F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5FF FFFF 0000 0000 0000"
	$"0000 00FF FFFF F5FC F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5FC F5FF FFFF 0000 0000 0000"
	$"0000 00FF FFFF F5F5 F5F5 C0F5 C0F5 C0F5"
	$"C0C0 C0F5 F5F5 F5FF FFFF 0000 0000 0000"
	$"0000 00FF FFFF F5FC F5F5 F5F5 F5C0 F5C0"
	$"F5C0 C0F5 F5FC F5FF FFFF 0000 0000 0000"
	$"0000 00FF FFFF F5F5 F5F5 C0F5 C0F5 C0F5"
	$"C0F5 C0F5 F5F5 F5FF FFFF 0000 0000 0000"
	$"0000 00FF FFFF F5FC F5F5 F5F5 F520 F520"
	$"F520 20F5 F5FC F5FF FFFF 0000 0000 0000"
	$"0000 00FF FFFF F5F5 F5F5 20F5 20F5 20F5"
	$"20F5 20F5 F5F5 F5FF FFFF 0000 0000 0000"
	$"0000 00FF FFFF F5FC F5F5 F5F5 F520 F520"
	$"F520 20F5 F5FC F5FF FFFF 0000 0000 0000"
	$"0000 00FF FFFF F5F5 F5F5 05F5 05F5 05F5"
	$"0505 05F5 F5F5 F5FF FFFF 0000 0000 0000"
	$"0000 00FF FFFF F5FC F5F5 F5F5 F505 F505"
	$"F505 05F5 F5FC F5FF FFFF 0000 0000 0000"
	$"0000 00FF FFFF F5F5 F5F5 05F5 05F5 05F5"
	$"05F5 05F5 F5F5 F5FF FFFF 0000 0000 0000"
	$"0000 00FF FFFF F5FC F5F5 F5F5 F5FF F5FF"
	$"F5FF FFF5 F5FC F5FF FFFF 0000 0000 0000"
	$"0000 00FF FFFF F5F5 F5F5 FFF5 FFF5 FFF5"
	$"FFFF FFF5 F5F5 F5FF FFFF 0000 0000 0000"
	$"00FF FFFF FFFF F5FC F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5FC F5FF FFFF FFFF FFFF FF00"
	$"FFFF FFFF FFFF F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5FF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFC 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2BFC 2B2B FFFF FFFF"
	$"FFFF FFFC F9F9 F9F9 F9F9 F9F9 F9F9 F9F9"
	$"F9F9 F9F9 F9F9 F9F9 F9FC F9F9 FFFF FFFF"
	$"FFFF FFFC 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2BFC 2B2B FFFF FFFF"
	$"FFFF FFFC FCFC FCFC FCFC FCFC FCFC FCFC"
	$"FCFC FCFC FCFC FCFC FCFC 2B2B FFFF FFFF"
	$"FFFF FF2B 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2B2B FFFF FFFF"
	$"FFFF FFF9 F9F9 F9F9 F9F9 F9F9 F9F9 F9F9"
	$"F9F9 F9F9 F9F9 F9F9 F9F9 F9F9 FFFF FFFF"
	$"FFFF FF00 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 FFFF FFFF"
	$"FFFF FFE3 E32B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2B2B FFFF FF00"
	$"FFFF FFD8 D82B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2B2B FFFF FF00"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FF00"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FF00"
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
};

// current, shared
resource 'ICN#' (gxPrintingDriverBaseID + 5, sysheap, purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"01FF FFC0 03FF FFE0 03FF FFE0 0380 00E0"
		$"03AA BAE0 0381 58E0 03AA AAE0 0381 58E0"
		$"03AA AAE0 0381 58E0 3FAA BAFE 7F80 00FF"
		$"7FFF FFFF 7200 0025 7200 0025 73FF FFE5"
		$"7000 0007 7000 0007 7300 000F 7300 028E"
		$"7FFF FEFE 7FFF FEFE 3FFF FEFC 0000 07C0"
		$"0000 0440 0000 0440 0000 07C0 0000 0540"
		$"BFFF F93D 0000 0280 BFFF FC7D",
		/* [2] */
		$"01FF FFC0 03FF FFE0 03FF FFE0 03FF FFE0"
		$"03FF FFE0 03FF FFE0 03FF FFE0 03FF FFE0"
		$"03FF FFE0 03FF FFE0 3FFF FFFE 7FFF FFFF"
		$"7FFF FFFF 7FFF FFFF 7FFF FFFF 7FFF FFFF"
		$"7FFF FFFF 7FFF FFFF 7FFF FFFF 7FFF FFFE"
		$"7FFF FFFE 7FFF FFFE 3FFF FFFC 0000 07C0"
		$"0000 07C0 0000 07C0 0000 07C0 0000 07C0"
		$"FFFF FFFF FFFF FEFF FFFF FC7F"
	}
};

resource 'icl4' (gxPrintingDriverBaseID + 5, sysheap, purgeable) {
	$"0000 000F FFFF FFFF FFFF FFFF FF00 0000"
	$"0000 00FF FFFF FFFF FFFF FFFF FFF0 0000"
	$"0000 00FF FFFF FFFF FFFF FFFF FFF0 0000"
	$"0000 00FF F000 0000 0000 0000 FFF0 0000"
	$"0000 00FF F0E0 7070 7077 70E0 FFF0 0000"
	$"0000 00FF F000 0007 0707 7000 FFF0 0000"
	$"0000 00FF F0E0 7070 7070 70E0 FFF0 0000"
	$"0000 00FF F000 0004 0404 4000 FFF0 0000"
	$"0000 00FF F0E0 4040 4040 40E0 FFF0 0000"
	$"0000 00FF F000 0004 0404 4000 FFF0 0000"
	$"00FF FFFF F0E0 1010 1011 10E0 FFFF FFF0"
	$"0FFF FFFF F000 0000 0000 0000 FFFF FFFF"
	$"0FFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"0FFF CCEC CCCC CCCC CCCC CCCC CCEC CFDF"
	$"0FFF DDED DDDD DDDD DDDD DDDD DDED DF0F"
	$"0FFF CCEE EEEE EEEE EEEE EEEE EEEC CFDF"
	$"0FFF CCCC CCCC CCCC CCCC CCCC CCCC CFEF"
	$"0FFF DDDD DDDD DDDD DDDD DDDD DDDD DFAF"
	$"0FFF 0088 0000 0000 0000 0000 0000 FFFF"
	$"0FFF CC33 CCCC CCCC CCCC CCDC DCCC FFF0"
	$"0FFF FFFF FFFF FFFF FFFF FFEC EFFF FFF0"
	$"0FFF FFFF FFFF FFFF FFFF FFEC FFFF FFF0"
	$"00FF FFFF FFFF FFFF FFFF FFEC FFFF FF00"
	$"0000 0000 0000 0000 0000 0FFF FF00 0000"
	$"0000 0000 0000 0000 0000 0FCC CF00 0000"
	$"0000 0000 0000 0000 0000 0FCC CF00 0000"
	$"0000 0000 0000 0000 0000 0FFF FF00 0000"
	$"0000 0000 0000 0000 0000 0FCF CA00 0000"
	$"CCCC CCCC CDDD DDDE EEEE ECCF CCAA EEDD"
	$"0000 0CCC CCCC CCCC CCCC CCF0 FCCC CCCC"
	$"CCCC DDDD DDEE EEEE AAAF FF00 0FFA AEED"
};

resource 'icl8' (gxPrintingDriverBaseID + 5, sysheap, purgeable) {
	$"0000 0000 0000 00FF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF 0000 0000 0000"
	$"0000 0000 0000 FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FF00 0000 0000"
	$"0000 0000 0000 FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FF00 0000 0000"
	$"0000 0000 0000 FFFF FFF5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 FFFF FF00 0000 0000"
	$"0000 0000 0000 FFFF FFF5 FBF5 C0F5 C0F5"
	$"C0F5 C0C0 C0F5 FBF5 FFFF FF00 0000 0000"
	$"0000 0000 0000 FFFF FFF5 F5F5 F5F5 F5C0"
	$"F5C0 F5C0 C0F5 F5F5 FFFF FF00 0000 0000"
	$"0000 0000 0000 FFFF FFF5 FBF5 C0F5 C0F5"
	$"C0F5 C0F5 C0F5 FBF5 FFFF FF00 0000 0000"
	$"0000 0000 0000 FFFF FFF5 F5F5 F5F5 F520"
	$"F520 F520 20F5 F5F5 FFFF FF00 0000 0000"
	$"0000 0000 0000 FFFF FFF5 FBF5 20F5 20F5"
	$"20F5 20F5 20F5 FBF5 FFFF FF00 0000 0000"
	$"0000 0000 0000 FFFF FFF5 F5F5 F5F5 F520"
	$"F520 F520 20F5 F5F5 FFFF FF00 0000 0000"
	$"0000 FFFF FFFF FFFF FFF5 FBF5 05F5 05F5"
	$"05F5 0505 05F5 FBF5 FFFF FFFF FFFF FF00"
	$"00FF FFFF FFFF FFFF FFF5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 FFFF FFFF FFFF FFFF"
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"00FF FFFF 2B2B FC2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B FC2B 2BFF F9FF"
	$"00FF FFFF F9F9 FCF9 F9F9 F9F9 F9F9 F9F9"
	$"F9F9 F9F9 F9F9 F9F9 F9F9 FCF9 F9FF F5FF"
	$"00FF FFFF 2B2B FCFC FCFC FCFC FCFC FCFC"
	$"FCFC FCFC FCFC FCFC FCFC FC2B 2BFF F9FF"
	$"00FF FFFF 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2B2B 2BFF FBFF"
	$"00FF FFFF F9F9 F9F9 F9F9 F9F9 F9F9 F9F9"
	$"F9F9 F9F9 F9F9 F9F9 F9F9 F9F9 F9FF FDFF"
	$"00FF FFFF F5F5 E3E3 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 FFFF FFFF"
	$"00FF FFFF 2B2B D8D8 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B FA2B FA2B 2B2B FFFF FF00"
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FC2B FCFF FFFF FFFF FF00"
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FC2B FFFF FFFF FFFF FF00"
	$"0000 FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FC2B FFFF FFFF FFFF 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 00FF FFFF FFFF 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 00FF 2B2B 2BFF 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 00FF 2B2B 2BFF 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 00FF FFFF FFFF 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 00FF 2BFE 2BFD 0000 0000 0000"
	$"F6F6 F6F7 F7F7 F8F8 F8F9 F9F9 FAFA FAFB"
	$"FBFB FCFC FC2B 2BFE 2B2B FDFD FCFC FAFA"
	$"F5F5 F5F5 F5F6 F6F6 F6F6 F6F6 2B2B 2B2B"
	$"2B2B 2B2B 2B2B FE00 FE2B 2B2B 2B2B 2B2B"
	$"F8F8 F8F8 F9F9 F9FA FAFA FBFB FBFC FCFC"
	$"FDFD FDFE FEFE 0000 00FE FEFD FDFC FCFA"
};

// not active
resource 'ICN#' (gxPrintingDriverBaseID + 6, sysheap, purgeable) 
{
	{	/* array: 2 elements */
		/* [1] */
		$"6000 0006 F000 000F FFFF FF1F 7C00 013E"
		$"3F00 057C 1F2A E1F8 0F85 65F0 07EA A3E0"
		$"07E5 67C0 05FA AF80 05FD 7F00 047E FF00"
		$"053F 7D00 043F F900 050F F500 042F E100"
		$"0507 E500 040F F100 FFFF FFFF 903E 7C49"
		$"FFFF FFF9 90F8 1F49 9FFF FFC9 83E0 07C9"
		$"FFFF FFF9 8F80 01FF 9F00 00F8 BE00 007C"
		$"7C00 003E FFFF FFFF F000 000F 6000 0006",
		/* [2] */
		$"6000 0006 F000 000F FFFF FF1F 7FFF FF3E"
		$"3FFF FF7C 1FFF FFF8 0FFF FFF0 07FF FFE0"
		$"07FF FFC0 07FF FF80 07FF FF00 07FF FF00"
		$"07FF FF00 07FF FF00 07FF FF00 07FF FF00"
		$"07FF FF00 07FF FF00 FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFF8 FFFF FFFC"
		$"7FFF FFFE FFFF FFFF F000 000F 6000 0006"
	}
};

resource 'icl8' (gxPrintingDriverBaseID + 6, sysheap, purgeable) 
{
	$"00FF FF00 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 00FF FF00"
	$"FFFF FFFF 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF 0000 00FF FFFF FFFF"
	$"00FF FFFF FFFF F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5FF 0000 FFFF FFFF FF00"
	$"0000 FFFF FFFF FFFB F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5FB F5FF 00FF FFFF FFFF 0000"
	$"0000 00FF FFFF FFFF F5F5 C0F5 C0F5 C0F5"
	$"C0C0 C0F5 F5F5 F5FF FFFF FFFF FF00 0000"
	$"0000 0000 FFFF FFFF FFF5 F5F5 F5C0 F5C0"
	$"F5C0 C0F5 F5FB F5FF FFFF FFFF 0000 0000"
	$"0000 0000 00FF FFFF FFFF C0F5 C0F5 C0F5"
	$"C0F5 C0F5 F5F5 FFFF FFFF FF00 0000 0000"
	$"0000 0000 00FF FFFF FFFF FFF5 F520 F520"
	$"F520 20F5 F5FF FFFF FFFF 0000 0000 0000"
	$"0000 0000 00FF F5FF FFFF FFFF 20F5 20F5"
	$"20F5 20F5 FFFF FFFF FF00 0000 0000 0000"
	$"0000 0000 00FF F5FB FFFF FFFF FF20 F520"
	$"F520 20FF FFFF FFFF 0000 0000 0000 0000"
	$"0000 0000 00FF F5F5 F5FF FFFF FFFF 05F5"
	$"0505 FFFF FFFF FFFF 0000 0000 0000 0000"
	$"0000 0000 00FF F5FB F5F5 FFFF FFFF FF05"
	$"F5FF FFFF FFFF F5FF 0000 0000 0000 0000"
	$"0000 0000 00FF F5F5 F5F5 05FF FFFF FFFF"
	$"FFFF FFFF FFF5 F5FF 0000 0000 0000 0000"
	$"0000 0000 00FF F5FB F5F5 F5F5 FFFF FFFF"
	$"FFFF FFFF F5FB F5FF 0000 0000 0000 0000"
	$"0000 0000 00FF F5F5 F5F5 FFF5 FFFF FFFF"
	$"FFFF FFF5 F5F5 F5FF 0000 0000 0000 0000"
	$"0000 0000 00FF F5FB F5F5 F5F5 F5FF FFFF"
	$"FFFF FFF5 F5FB F5FF 0000 0000 0000 0000"
	$"0000 0000 00FF F5F5 F5F5 F5F5 FFFF FFFF"
	$"FFFF FFFF F5F5 F5FF 0000 0000 0000 0000"
	$"FBFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FBFF FFFB"
	$"FF2B 2BFC 2B2B 2B2B 2B2B FFFF FFFF FF2B"
	$"2BFF FFFF FFFF 2B2B 2BFC 2B2B FFF9 F9FF"
	$"FFF9 F9FC F9F9 F9F9 F9FF FFFF FFFF F9F9"
	$"F9F9 FFFF FFFF FFF9 F9FC F9F9 FFF8 F5FF"
	$"FF2B 2BFC 2B2B 2B2B FFFF FFFF FF2B 2B2B"
	$"2B2B 2BFF FFFF FFFF 2BFC 2B2B FFF9 2BFF"
	$"FF2B 2BFC FCFC FCFF FFFF FFFF FCFC FCFC"
	$"FCFC FCFC FFFF FFFF FFFC 2B2B FFFB F9FF"
	$"FF2B 2B2B 2B2B FFFF FFFF FF2B 2B2B 2B2B"
	$"2B2B 2B2B 2BFF FFFF FFFF 2B2B FFFD FBFF"
	$"FFF9 F9F9 F9FF FFFF FFFF F9F9 F9F9 F9F9"
	$"F9F9 F9F9 F9F9 FFFF FFFF FFF9 FFFE FDFF"
	$"FFF5 F5F5 FFFF FFFF FFF5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5FF FFFF FFFF FFFF FFFB"
	$"FF2B 2BFF FFFF FFFF 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B FFFF FFFF FF00 0000"
	$"FF2B FFFF FFFF FF2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2BFF FFFF FFFF 0000"
	$"00FF FFFF FFFF 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B FFFF FFFF FF00"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 FFFF FFFF"
	$"00FF FF00 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 00FF FF"
};

resource 'icl4' (gxPrintingDriverBaseID + 6, sysheap, purgeable) 
{
	$"0FF0 0000 0000 0000 0000 0000 0000 0FF0"
	$"FFFF 0000 0000 0000 0000 0000 0000 FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF 000F FFFF"
	$"0FFF FF0C 0C0C 0C0C 0C0C 0C0F 00FF FFF0"
	$"00FF FFFE C0C0 C0C0 C0C0 CECF 0FFF FF00"
	$"000F FFFF 0C7C 7C7C 777C 0C0F FFFF F000"
	$"0000 FFFF F0C0 C7C7 C770 CECF FFFF 0000"
	$"0000 0FFF FF7C 7C7C 7C7C 0CFF FFF0 0000"
	$"0000 0FFF FFF0 C4C4 C440 CFFF FF00 0000"
	$"0000 0F0F FFFF 4C4C 4C4C FFFF F000 0000"
	$"0000 0FCE FFFF F4C4 C44F FFFF 0000 0000"
	$"0000 0F0C 0FFF FF1C 11FF FFFF 0000 0000"
	$"0000 0FCE C0FF FFF1 CFFF FFCF 0000 0000"
	$"0000 0F0C 0C1F FFFF FFFF FC0F 0000 0000"
	$"0000 0FCE C0C0 FFFF FFFF CECF 0000 0000"
	$"0000 0F0C 0CFC FFFF FFFC 0C0F 0000 0000"
	$"0000 0FCE C0C0 CFFF FFF0 CECF 0000 0000"
	$"0000 0F0C 0C0C FFFF FFFF 0C0F 0000 0000"
	$"EFFF FFFF FFFF FFFF FFFF FFFF FFFF EFFE"
	$"FCCE CCCC CCFF FFFC CFFF FFCC CECC FDDF"
	$"FDDE DDDD DFFF FFDD DDFF FFFD DEDD FC0F"
	$"FCCE CCCC FFFF FCCC CCCF FFFF CECC FDCF"
	$"FCCE EEEF FFFF EEEE EEEE FFFF FECC FEDF"
	$"FCCC CCFF FFFC CCCC CCCC CFFF FFCC FEEF"
	$"FDDD DFFF FFDD DDDD DDDD DDFF FFFD FFEF"
	$"FC0C FFFF FC0C 0C0C 0C0C 0C0F FFFF FFFE"
	$"FCCF FFFF CCCC CCCC CCCC CCCC FFFF F000"
	$"FCFF FFFC CCCC CCCC CCCC CCCC CFFF FF00"
	$"0FFF FFCC CCCC CCCC CCCC CCCC CCFF FFF0"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF 0000 0000 0000 0000 0000 0000 FFFF"
	$"0FF0 0000 0000 0000 0000 0000 0000 0FF0"
};

resource 'ics#' (gxPrintingDriverBaseID + 6, sysheap, purgeable) 
{
	{	/* array: 2 elements */
		/* [1] */
		$"5FFA E00F 7AAE 399C 3EB8 2FF8 2FE8 23C8"
		$"2BE8 FFFE AE7B BFFB B81F 7FFE E007 5FFA",
		/* [2] */
		$"5FFA FFFF 7FFE 3FFC 3FF8 3FF8 3FF8 3FF8"
		$"3FF8 FFFE FFFF FFFF FFFF 7FFE FFFF 5FFA"
	}
};

resource 'ics8' (gxPrintingDriverBaseID + 6, sysheap, purgeable) 
{
	$"00FF 00FF FFFF FFFF FFFF FFFF FF00 FF00"
	$"FFFF FFF5 F5F5 F5F5 F5F5 F5F5 FFFF FFFF"
	$"00FF FFFF FCF5 C0F5 C0F5 FCF5 FFFF FF00"
	$"0000 FFFF FFF5 F5C0 C0F5 00FF FFFF 0000"
	$"0000 FFFF FFFF 20F5 20F5 FFFF FF00 0000"
	$"0000 FFF5 FFFF FF20 20FF FFFF FF00 0000"
	$"0000 FFF5 FCFF FFFF FFFF FFF5 FF00 0000"
	$"0000 FFF5 F5F5 FFFF FFFF F5F5 FF00 0000"
	$"0000 FFF5 FCF5 FFFF FFFF FCF5 FF00 0000"
	$"FCFF FFFF FFFF FFFF FFFF FFFF FFFF FC00"
	$"FF2B FC2B FFFF FF2B 2BFF FFFF FC2B FFFF"
	$"FF2B FCFF FFFF FCFC FCFC FFFF FF2B FFFF"
	$"FF2B FFFF FF2B 2B2B 2B2B 2BFF FFFF FFFF"
	$"00FF FFFF F9F9 F9F9 F9F9 F9F9 FFFF FF00"
	$"FFFF FF2B 2B2B 2B2B 2B2B 2B2B 2BFF FFFF"
	$"00FF 00FF FFFF FFFF FFFF FFFF FF00 FF"
};

resource 'ics4' (gxPrintingDriverBaseID + 6, sysheap, purgeable) 
{
	$"0F0F FFFF FFFF F0F0 FFFC 0C0C 0C0C FFFF"
	$"0FFF E070 70E0 FFF0 00FF FC07 7C0F FF00"
	$"00FF FF40 40FF F000 00FC FFF4 4FFF F000"
	$"00F0 EFFF FFF0 F000 00FC 0CFF FF0C F000"
	$"00F0 E0FF FFE0 F000 EFFF FFFF FFFF FFE0"
	$"FCEC FFFC CFFF ECFF FCEF FFEE EEFF FCFF"
	$"FCFF FCCC CCCF FFFF 0FFF DDDD DDDD FFF0"
	$"FFFC CCCC CCCC CFFF 0F0F FFFF FFFF F0F0"
};

// puzzle
resource 'ICN#' (gxPrintingDriverBaseID + 7, sysheap, purgeable) 
{
	{	/* array: 2 elements */
		/* [1] */
		$"00FF FF00 0100 0080 0080 0100 7F80 01FE"
		$"8000 0001 81FF FF01 8100 0101 8100 0101"
		$"8155 7501 8102 B101 8155 5501 8102 B101"
		$"8155 5501 8102 B101 8155 7501 8100 0101"
		$"9FFF FFFD 9400 0055 9400 0055 97FF FFD5"
		$"9000 001D 9000 001D 9600 001D 9600 0011"
		$"9000 0011 9FFF FFF1 8000 0001 8000 0001"
		$"80FF FF01 8080 0101 8040 0201 7FE0 07FE",
		/* [2] */
		$"00FF FF00 01FF FF80 00FF FF00 7FFF FFFE"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FF80 01FF FFC0 03FF 7FE0 07FE"
	}
};

resource 'icl8' (gxPrintingDriverBaseID + 7, sysheap, purgeable) 
{
	$"0000 0000 0000 0000 FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF 0000 0000 0000 0000"
	$"0000 0000 0000 00FF 0000 0000 0000 0000"
	$"0000 0000 0000 0000 FF00 0000 0000 0000"
	$"0000 0000 0000 0000 FF00 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6FF 0000 0000 0000 0000"
	$"00FF FFFF FFFF FFFF FF00 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6FF FFFF FFFF FFFF FF00"
	$"FF00 0000 0000 0000 0000 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 0000 0000 0000 00FF"
	$"FF00 F6F6 F6F6 F6FF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF F6F6 F6F6 F6F6 F6FF"
	$"FF00 F6F6 F6F6 F6FF F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5FF F6F6 F6F6 F6F6 F6FF"
	$"FF00 F6F6 F6F6 F6FF F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5FF F6F6 F6F6 F6F6 F6FF"
	$"FF00 F6F6 F6F6 F6FF F5FB F5C0 F5C0 F5C0"
	$"F5C0 C0C0 F5FB F5FF F6F6 F6F6 F6F6 F6FF"
	$"FF00 F6F6 F6F6 F6FF F5F5 F5F5 F5F5 C0F5"
	$"C0F5 C0C0 F5F5 F5FF F6F6 F6F6 F6F6 F6FF"
	$"FF00 F6F6 F6F6 F6FF F5FB F5C0 F5C0 F5C0"
	$"F5C0 F5C0 F5FB F5FF F6F6 F6F6 F6F6 F6FF"
	$"FF00 F6F6 F6F6 F6FF F5F5 F5F5 F5F5 20F5"
	$"20F5 2020 F5F5 F5FF F6F6 F6F6 F6F6 F6FF"
	$"FF00 F6F6 F6F6 F6FF F5FB F520 F520 F520"
	$"F520 F520 F5FB F5FF F6F6 F6F6 F6F6 F6FF"
	$"FF00 F6F6 F6F6 F6FF F5F5 F5F5 F5F5 20F5"
	$"20F5 2020 F5F5 F5FF F6F6 F6F6 F6F6 F6FF"
	$"FF00 F6F6 F6F6 F6FF F5FB F505 F505 F505"
	$"F505 0505 F5FB F5FF F6F6 F6F6 F6F6 F6FF"
	$"FF00 F6F6 F6F6 F6FF F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5FF F6F6 F6F6 F6F6 F6FF"
	$"FF00 F6FB FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFB FFFB F6FF"
	$"FF00 F6FF 2BFC 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2BFC 2BFF F9FF F6FF"
	$"FF00 F6FF F9FC F9F9 F9F9 F9F9 F9F9 F9F9"
	$"F9F9 F9F9 F9F9 F9F9 F9FC F9FF F5FF F6FF"
	$"FF00 F6FF 2BFC FCFC FCFC FCFC FCFC FCFC"
	$"FCFC FCFC FCFC FCFC FCFC 2BFF F9FF F6FF"
	$"FF00 F6FF 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2BFF FBFF F6FF"
	$"FF00 F6FF F9F9 F9F9 F9F9 F9F9 F9F9 F9F9"
	$"F9F9 F9F9 F9F9 F9F9 F9F9 F9FF FDFF F6FF"
	$"FF00 F6FF F5E3 E3F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5FF FFFB F6FF"
	$"FF00 F6FF 2BD8 D82B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2BFF F6F6 F6FF"
	$"FF00 F6FF 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2BFF F6F6 F6FF"
	$"FF00 F6FB FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFB F6F6 F6FF"
	$"FF00 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF"
	$"FF00 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF"
	$"FF00 F6F6 F6F6 F6F6 FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF F6F6 F6F6 F6F6 F6FF"
	$"FF00 F6F6 F6F6 F6F6 FF00 0000 0000 0000"
	$"0000 0000 0000 00FF 00F6 F6F6 F6F6 F6FF"
	$"FF00 F6F6 F6F6 F6F6 F6FF 0000 0000 0000"
	$"0000 0000 0000 FF00 F6F6 F6F6 F6F6 F6FF"
	$"00FF FFFF FFFF FFFF FFFF FF00 0000 0000"
	$"0000 0000 00FF FFFF FFFF FFFF FFFF FF"
};

resource 'icl4' (gxPrintingDriverBaseID + 7, sysheap, purgeable) 
{
	$"0000 0000 FFFF FFFF FFFF FFFF 0000 0000"
	$"0000 000F 0000 0000 0000 0000 F000 0000"
	$"0000 0000 F0C0 C0C0 C0C0 C0CF 0000 0000"
	$"0FFF FFFF F00C 0C0C 0C0C 0C0F FFFF FFF0"
	$"F000 0000 00C0 C0C0 C0C0 C0C0 0000 000F"
	$"F00C 0C0F FFFF FFFF FFFF FFFF 0C0C 0C0F"
	$"F0C0 C0CF 0000 0000 0000 000F C0C0 C0CF"
	$"F00C 0C0F 0000 0000 0000 000F 0C0C 0C0F"
	$"F0C0 C0CF 0E07 0707 0777 0E0F C0C0 C0CF"
	$"F00C 0C0F 0000 0070 7077 000F 0C0C 0C0F"
	$"F0C0 C0CF 0E07 0707 0707 0E0F C0C0 C0CF"
	$"F00C 0C0F 0000 0040 4044 000F 0C0C 0C0F"
	$"F0C0 C0CF 0E04 0404 0404 0E0F C0C0 C0CF"
	$"F00C 0C0F 0000 0040 4044 000F 0C0C 0C0F"
	$"F0C0 C0CF 0E01 0101 0111 0E0F C0C0 C0CF"
	$"F00C 0C0F 0000 0000 0000 000F 0C0C 0C0F"
	$"F0CE FFFF FFFF FFFF FFFF FFFF FFFE FECF"
	$"F00F CECC CCCC CCCC CCCC CCCC CECF DF0F"
	$"F0CF DEDD DDDD DDDD DDDD DDDD DEDF 0FCF"
	$"F00F CEEE EEEE EEEE EEEE EEEE EECF DF0F"
	$"F0CF CCCC CCCC CCCC CCCC CCCC CCCF EFCF"
	$"F00F DDDD DDDD DDDD DDDD DDDD DDDF EF0F"
	$"F0CF 0880 0000 0000 0000 0000 000F FECF"
	$"F00F C33C CCCC CCCC CCCC CCCC CCCF 0C0F"
	$"F0CF CCCC CCCC CCCC CCCC CCCC CCCF C0CF"
	$"F00E FFFF FFFF FFFF FFFF FFFF FFFE 0C0F"
	$"F0C0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0 C0CF"
	$"F00C 0C0C 0C0C 0C0C 0C0C 0C0C 0C0C 0C0F"
	$"F0C0 C0C0 FFFF FFFF FFFF FFFF C0C0 C0CF"
	$"F00C 0C0C F000 0000 0000 000F 0C0C 0C0F"
	$"F0C0 C0C0 CF00 0000 0000 00F0 C0C0 C0CF"
	$"0FFF FFFF FFF0 0000 0000 0FFF FFFF FFF0"
};

resource 'ics#' (gxPrintingDriverBaseID + 7, sysheap, purgeable) 
{
	{	/* array: 2 elements */
		/* [1] */
		$"1FF8 781E 8001 9FF1 9011 9AB1 9191 9AB1"
		$"9011 BFFD B005 B005 BFFD 8001 8FF1 7C3E",
		/* [2] */
		$"1FF8 7FFE FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF 7C3E"
	}
};

resource 'ics8' (gxPrintingDriverBaseID + 7, sysheap, purgeable) 
{
	$"0000 00FF FFFF FFFF FFFF FFFF FF00 0000"
	$"00FF FFFF FFF6 F6F6 F6F6 F6FF FFFF FF00"
	$"FFF6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF"
	$"FFF6 F6FF FFFF FFFF FFFF FFFF F6F6 F6FF"
	$"FFF6 F6FF F5F5 F5F5 F5F5 F5FF F6F6 F6FF"
	$"FFF6 F6FF FBF5 C0C0 C0F5 FBFF F6F6 F6FF"
	$"FFF6 F6FF F5F5 1313 13F5 F5FF F6F6 F6FF"
	$"FFF6 F6FF FBF5 0505 05F5 FBFF F6F6 F6FF"
	$"FFF6 F6FF F5F5 F5F5 F5F5 F5FF F6F6 F6FF"
	$"FFF6 FCFC FCFC FCFC FCFC FCFC FCFF F6FF"
	$"FFF6 FFE3 F9F9 F9F9 F9F9 F9F9 F9FF F6FF"
	$"FFF6 FFD8 F5F5 F5F5 F5F5 F5F5 F5FF F6FF"
	$"FFF6 FFFF FFFF FFFF FFFF FFFF FFFF F6FF"
	$"FFF6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF"
	$"FFF6 F6F6 FFFF FFFF FFFF FFFF F6F6 F6FF"
	$"00FF FFFF FFFF 0000 0000 FFFF FFFF FF"
};

resource 'ics4' (gxPrintingDriverBaseID + 7, sysheap, purgeable) 
{
	$"000F FFFF FFFF F000 0FFF FC0C 0C0F FFF0"
	$"F0C0 C0C0 C0C0 C0CF FC0F FFFF FFFF 0C0F"
	$"F0CF 0000 000F C0CF FC0F E077 70EF 0C0F"
	$"F0CF 0044 400F C0CF FC0F E011 10EF 0C0F"
	$"F0CF 0000 000F C0CF FCEE EEEE EEEE EF0F"
	$"F0F8 DDDD DDDD DFCF FCF3 0000 0000 0F0F"
	$"F0FF FFFF FFFF FFCF FC0C 0C0C 0C0C 0C0F"
	$"F0C0 FFFF FFFF C0CF 0FFF FF00 00FF FFF0"
};


/* ------------------------------------------------------------------------ */
/* RESOURCES FOR TELLING THE SYSTEM WHAT KIND OF DRIVER WE ARE */
/* ------------------------------------------------------------------------ */

	
// select which imaging system to use and the ID of the imaging override resource, 
resource gxImagingSystemSelectorType (gxImagingSystemSelectorID, sysHeap)
{
	gxRasterPrinterType	// we use the raster system
};


/* ------------------------------------------------------------------------ */
/* RESOURCES FOR TELLING THE SYSTEM WHAT MESSAGES WE'D LIKE TO GET */
/* ------------------------------------------------------------------------ */

// overrides for universal messages, and where to find them in the jump table
#define firstOffset 4
#define segmentID 	NewSegID

resource gxOverrideType (gxDriverUniversalOverrideID, sysheap, purgeable)
{
	{
	gxInitialize, 				segmentID, firstOffset + 0,
	gxShutDown, 				segmentID, firstOffset + 4,
	gxDefaultPrinter,			segmentID, firstOffset + 8,
	gxDefaultFormat,			segmentID, firstOffset + 12,
	gxDefaultJob,				segmentID, firstOffset + 16,
	gxJobDefaultFormatDialog,	segmentID, firstOffset + 20,
	gxJobFormatModeQuery,		segmentID, firstOffset + 24,
	gxRenderPage,				segmentID, firstOffset + 28,
	gxOpenConnection,			segmentID, firstOffset + 32,
	gxCloseConnection,			segmentID, firstOffset + 36,
	gxStartSendPage,			segmentID, firstOffset + 40,
	gxFinishSendPage,			segmentID, firstOffset + 44,
	gxDumpBuffer,				segmentID, firstOffset + 48,
	gxFreeBuffer,				segmentID, firstOffset + 52,
	gxSetupImageData,			segmentID, firstOffset + 56,
	gxJobIdle,					segmentID, firstOffset + 60,

	gxJobPrintDialog,			segmentID, firstOffset + 64,
	gxHandlePanelEvent,			segmentID, firstOffset + 68
	};
};

// overrides for raster specific messages, and where to find them in the jump table
resource gxOverrideType (gxDriverImagingOverrideID, sysheap, purgeable)
{
	{
	gxRasterPackageBitmap,		segmentID, firstOffset + 72,
	gxRasterLineFeed,			segmentID, firstOffset + 76
	};
};



/* ------------------------------------------------------------------------ */
/* UNIVERSAL DRIVER AND IO RELATED RESOURCES */
/* ------------------------------------------------------------------------ */

// Capturing PAP ImageWriters settings
// how to capture this device
resource gxCaptureType (gxCapturedAppleTalkType, sysheap, purgeable)
{
	"\0D011ImageShared"
};
resource gxCaptureType (gxUncapturedAppleTalkType, sysheap, purgeable)
{
	"\0D011ImageWriter"
};

resource gxCaptureType (gxCaptureStringID, sysheap, purgeable)
{
	"\0X1B\0X62NAMELENPRINTERNAMETYPELENPRINTERTYPE\0X01*"
};

resource gxCaptureType (gxReleaseStringID, sysheap, purgeable)
{
	"\0X1B\0X62NAMELENPRINTERNAMETYPELENPRINTERTYPE\0X01*"
};


// This resource customizes the behavior of the universal driver, allowing us
// to use standard mechanisms for buffering and IO - all driver should have
// one of these resources, although the universal driver does provide some default
// values.

resource gxUniversalIOPrefsType (gxUniversalIOPrefsID, sysheap, purgeable)
{
	standardIO,
	4,			// four buffers (univ driver WILL run with less if it needs to)
	2500,		// we want them to each be large enough for one scan line of data (at least)
	10,			// number of requests blocks to allocate for HIO
	3*60*60,	// 3 minute timout for open/close
	3*60*60,	// as well as for reading and writing
};


/* ------------------------------------------------------------------------ */
/* RASTER GENERIC DRIVER RELATED RESOURCES */
/* ------------------------------------------------------------------------ */


// This resource customizes the behavior of the raster generic driver, allowing
// us to specify our imaging options, as well as format/page scaling.
// All raster drivers must have this resource.

resource gxRasterPrefsType (gxRasterPrefsID, sysheap, purgeable)
{
	gxDefaultRaster,	// default options are fine
	
	0x00900000,	0x00900000,	// 144X144 dpi device
	16,				// min band size == 2 head heights
	0,				// max band size (0 is full page)
	0x00008000,		// RAM percentage (50%)
	100*1024,		// RAM slop (100K)
	4,				// 4 bit device
		{
		gxDefaultOffscreen,									// YELLOW plane.  Use default halftoning.
		0x000F0000,											// Angle = 15 degrees
		0x002D0000,											// Freq = 45
		gxRoundDot,											// RoundDot dithering
		gxComponent3Tint,									// Extract yellow and dither it
		gxRGBSpace, gxNoProfile, 0, 0, 0, 0,				// DotColor == black
		gxRGBSpace, gxNoProfile, 0xFFFF, 0xFFFF, 0xFFFF, 0,	// Background color == white
		gxCMYKSpace,										// Convert to gxCMYKSpace before halftoning.
		gxNoSpace,											// No explicit color space
		gxNoSet,											// No color set
		gxNoProfile,										// No profile specified

		gxDefaultOffscreen,									// MAGENTA plane.  Use default halftoning.
		0x00000000,											// Angle = 0 degrees
		0x002D0000,											// Freq = 45
		gxRoundDot,											// RoundDot dithering
		gxComponent2Tint,									// extract magenta and dither it
		gxRGBSpace, gxNoProfile, 0, 0, 0, 0,				// dotColor == black
		gxRGBSpace, gxNoProfile, 0xFFFF, 0xFFFF, 0xFFFF, 0,	// background color == white
		gxCMYKSpace,										// Convert to gxCMYKSpace before halftoning.
		gxNoSpace,											// No explicit color space
		gxNoSet,											// No color set
		gxNoProfile,										// No profile specified

		gxDefaultOffscreen,									// CYAN plane.  Use default halftoning.
		0x003C0000,											// Angle = 60 degrees
		0x002D0000,											// Freq = 45
		gxRoundDot,											// RoundDot dithering
		gxComponent1Tint,									// Extract cyan and dither it
		gxRGBSpace, gxNoProfile, 0, 0, 0, 0,				// DotColor == black
		gxRGBSpace, gxNoProfile, 0xFFFF, 0xFFFF, 0xFFFF, 0,	// Background color == white
		gxCMYKSpace,										// Convert to gxCMYKSpace before halftoning.
		gxNoSpace,											// No explicit color space
		gxNoSet,											// No color set
		gxNoProfile,										// No profile specified

		gxDefaultOffscreen,									// BLACK plane.  Use default halftoning.
		0x002D0000,											// Angle = 45 degrees
		0x002D0000,											// Freq = 45
		gxRoundDot,											// RoundDot dithering
		gxComponent4Tint,									// Extract black and dither it
		gxRGBSpace, gxNoProfile, 0, 0, 0, 0,				// DotColor == black
		gxRGBSpace, gxNoProfile, 0xFFFF, 0xFFFF, 0xFFFF, 0,	// Background color == white
		gxCMYKSpace,										// Convert to gxCMYKSpace before halftoning.
		gxNoSpace,											// No explicit color space
		gxNoSet,											// No color set
		gxNoProfile											// No profile specified
		};
};


// This resource allows us to control the packaging that takes place within the
// raster generic driver's RasterDataIn proc.  Drivers which do not use the Raster 
// generic RasterDataIn proc or override it entirely themselves need not have this resource.

resource gxRasterPackType (gxRasterPackID, sysheap, purgeable)
{
	2500,				// packing buffer size - for the ImageWriter 
						// this is the # of bytes in our largest single packaged line
	
	4,					// we are a CMYK (so we make 4 passes over the data)
	16,					// we have a 16 pixel high head
	2,					// it takes two passes to achive this 16 pixels
	1,					// and there is a 1 pixel difference between these two passes
	gxInterlaceColor,		// avoid ribbon contamination
};


// This resource allows us to control the remaining raster messages used for packaging.
// This includes form feed, line feed, and package bitmap.
// Drivers not using the Raster Generic Driver's implementations of these messages
// need not have this resource.

#define PERFSKIPOFF		"\0X1BD\0X00\0X04"
#define PAPEROUTOFF		"\0X1Bo"
#define UNIDIRECTIONAL	"\0X1B>"
#define BIDIRECTIONAL	"\0X1B<"
#define DPI144			"\0X1Bp"
#define DPI160			"\0X1BP"
#define DPI72			"\0X1Bn"
#define DPI80			"\0X1BN"

resource 'wstr' (gxPrintingDriverBaseID, sysheap, purgeable) {
	PERFSKIPOFF PAPEROUTOFF UNIDIRECTIONAL DPI144
};

resource 'wstr' (gxPrintingDriverBaseID+1, sysheap, purgeable) {
	PERFSKIPOFF PAPEROUTOFF UNIDIRECTIONAL DPI160
};

resource 'wstr' (gxPrintingDriverBaseID+2, sysheap, purgeable) {
	PERFSKIPOFF PAPEROUTOFF BIDIRECTIONAL DPI72
};

resource 'wstr' (gxPrintingDriverBaseID+3, sysheap, purgeable) {
	PERFSKIPOFF PAPEROUTOFF BIDIRECTIONAL DPI80
};

resource 'wstr' (gxPrintingDriverBaseID+10, sysheap, purgeable) {
	"\0X0C",			// End page string:   a control-L for the IW's form feed
};

resource gxRasterPackOptionsType (gxRasterPackOptionsID, sysheap, purgeable)
{
	gxPrintingDriverBaseID,
	gxPrintingDriverBaseID + 10,
	
	// forward line feed characteristics
	98,					// max line feed amount is 98
	gxRasterNumToASCII,	// express line feed as ASCII
	2,					// minimum width is 2
	"0",				// and pad with zeros
	"\0X1BT",			// <esc>T == set line feed size
	"\0X1Bf\0X0A",		// <esc>f<lf> == direction forward, do line feed
	
	// reverse line feed characteristics
	98,					// max line feed amount is 98
	gxRasterNumToASCII,	// express line feed as ASCII
	2,					// minimum width is 2
	"0",				// and pad with zeros
	"\0X1BT",			// <esc>T == set line feed size
	"\0X1Br\0X0A",		// <esc>r<lf> == direction reverse, do line feed
	
	// Here will eventually come data that controls the PackageBitmap message 
};



/* ------------------------------------------------------------------------ */
/* RESOURCES FOR STATUS AND DIALOGS */
/* ------------------------------------------------------------------------ */

resource 'stat'	(kDriverStatus, sysheap, purgeable) {

	'Dipy',
	
	{
	// statusType			statusID	cool alert ID		statusString								code constant
	printerReady,			1,	 		0,					"Sending data to printer";					// kSendingData
	userAlert,				1,	 		kDriverStatus,		"Please check that the printer is online";	// kCheckOnline				// kSendingData
	}
};

resource gxPrintingAlertType (kDriverStatus, sysheap, purgeable)			//	The printer isn't online
{
	printingStatus,																// version
	cautionIcon,															// icon id
	defaultSystemSize,
	defaultAction,															// the default label
	cancelTitle2,															// button 2
	"The document !1 cannot be printed, because the printer "
 	"!0 is offline.  To continue printing, please make "
	"sure the printer is "
	"properly connected and turned on.  If you wish "	
	"to cancel printing, please click Cancel Printing.",
 	"Continue",																// action label
	"Cancel Printing",														// button label 2
	"Hold",																	// button label 3
	" ",																	// font name 
	"Printer offline"
};


/* ------------------------------------------------------------------------ */
/* RESOURCES FOR PAPERTYPES */
/* ------------------------------------------------------------------------ */

resource 'ptyp' (gxPrintingDriverBaseID, sysheap, purgeable) {
	"US Letter",
	0x0,
	0x0,
	0x2400000,
	0x2FB3333,
	-0x120000,
	-0xE6666,
	0x2520000,
	0x3099999,
	usLetterBase,
	'Dipy',
	inch,
	oldandNewStylePaperType,
	isDefaultPaperType,
		{
		}
};

resource 'ptyp' (gxPrintingDriverBaseID+1, sysheap, purgeable) {
	"A4 Letter",
	0x0,
	0x0,
	0x2400000,
	0x3180000,
	-0x120000,
	-0xE6666,
	0x2520000,
	0x3266666,
	a4LetterBase,
	'Dipy',
	mm,
	oldandNewStylePaperType,
	notDefaultPaperType,
		{
		}
};

resource 'ptyp' (gxPrintingDriverBaseID+2, sysheap, purgeable) {
	"US Legal",
	0x0,
	0x0,
	0x2400000,
	0x3D33334,
	-0x120000,
	-0xE6666,
	0x2520000,
	0x3E1999A,
	usLegalBase,
	'Dipy',
	inch,
	oldandNewStylePaperType,
	notDefaultPaperType,
		{
		}
};

resource 'ptyp' (gxPrintingDriverBaseID+3, sysheap, purgeable) {
	"International Fanfold",
	0x0,
	0x0,
	0x2520000,
	0x3600000,
	-0x120000,
	-0xE6666,
	0x2640000,
	0x36E6666,
	unknownBase,
	'Dipy',
	mm,
	oldandNewStylePaperType,
	notDefaultPaperType,
		{
		}
};

resource 'ptyp' (gxPrintingDriverBaseID+4, sysheap, purgeable) {
	"Computer Paper",
	0x0,
	0x0,
	0x3F00000,
	0x3180000,
	-0x120000,
	-0xE6666,
	0x4020000,
	0x3266666,
	unknownBase,
	'Dipy',
	inch,
	oldandNewStylePaperType,
	notDefaultPaperType,
		{
		}
};

resource 'ptyp' (gxPrintingDriverBaseID+5, sysheap, purgeable) {
	"Envelope",
	0x0,
	0x0,
	0x2640000,
	0x1290000,
	-0x120000,
	-0xE6666,
	0x2760000,
	0x1376666,
	unknownBase,
	'Dipy',
	inch,
	oldandNewStylePaperType,
	notDefaultPaperType,
		{
		}
};

resource 'ptyp' (gxPrintingDriverBaseID+17, sysheap, purgeable)			// B5 Letter 
{
	"B5 Letter",
	
	0x0,
	0x0,
	0x1E000A8,
	0x2A600A8,
	-0x120000,
	-0xE6666,
	0x1F200A8,
	0x2B4670E,
	
	b5LetterBase,

	'Dipy',
	mm,
	oldAndNewStylePaperType,
	notDefaultPaperType,
	{}
};

/* ------------------------------------------------------------------------ */
/* DESCRIPTIONS OF SEPERATION PRINT DIALOG PANELS */
/* ------------------------------------------------------------------------ */


resource gxPrintPanelType (kSeperationPanelID, sysheap, purgeable)
{
	"Separations",			        // the panel name
	smRoman,			            // script id
	kSeperationPanelID,				// the icon id
	kSeperationPanelID				// the ditl id
};


resource 'DITL' (kSeperationPanelID, sysheap, purgeable) {
	{	/* array DITLarray: 5 elements */
		/* [1] */
		{36, 52, 52, 158},
		CheckBox {
			enabled,
			"Cyan"
		},
		/* [2] */
		{56, 52, 72, 158},
		CheckBox {
			enabled,
			"Magenta"
		},
		/* [3] */
		{76, 52, 92, 158},
		CheckBox {
			enabled,
			"Yellow"
		},
		/* [4] */
		{96, 52, 112, 158},
		CheckBox {
			enabled,
			"Black"
		},
		/* [5] */
		{10, 28, 26, 248},
		StaticText {
			disabled,
			"Select the color planes to print:"
		}
	}
};

// The gxExtendedDITLType tells the system how to map a collection
// to items in the a print dialog panel.

resource gxExtendedDITLType (kSeperationPanelID, sysheap, purgeable)
{
	{
		CheckBox {   kCMYKRenderCollectionType, kCMYKRenderCollectionID, 0, 1},
		CheckBox {   kCMYKRenderCollectionType, kCMYKRenderCollectionID, 1, 2},
		CheckBox {   kCMYKRenderCollectionType, kCMYKRenderCollectionID, 2, 3},
		CheckBox {   kCMYKRenderCollectionType, kCMYKRenderCollectionID, 3, 4}
	};
};

/* ------------------------------------------------------------------------ */
/* DESCRIPTIONS OF DITHER/HALFTONE PRINT DIALOG PANELS */
/* ------------------------------------------------------------------------ */

resource gxPrintPanelType (kDitherPanelID, sysheap, purgeable)
{
	"Rendering",			// the panel name
	smRoman,			    // script id
	kDitherPanelID,			// the icon id
	kDitherPanelID			// the ditl id
};


resource 'DITL' (kDitherPanelID, sysheap, purgeable) {
	{	/* array DITLarray: 21 elements */
		/* [1] */
		{16, 12, 32, 72},
		RadioButton {
			enabled,
			"Dither"
		},
		/* [2] */
		{62, 12, 78, 92},
		RadioButton {
			enabled,
			"Half Tone"
		},
		/* [3] */
		{32, 4, 52, 254},
		Control {
			enabled,
			kDitherPanelID
		},
		/* [4] */
		{79, 4, 99, 254},
		Control {
			enabled,
			kDitherPanelID+1
		},
		/* [5] */
		{120, 82, 136, 138},
		EditText {
			enabled,
			""
		},
		/* [6] */
		{141, 82, 157, 138},
		EditText {
			enabled,
			""
		},
		/* [7] */
		{120, 143, 136, 199},
		EditText {
			enabled,
			""
		},
		/* [8] */
		{141, 143, 157, 199},
		EditText {
			enabled,
			""
		},
		/* [9] */
		{120, 204, 136, 260},
		EditText {
			enabled,
			""
		},
		/* [10] */
		{141, 204, 157, 260},
		EditText {
			enabled,
			""
		},
		/* [11] */
		{120, 265, 136, 321},
		EditText {
			enabled,
			""
		},
		/* [12] */
		{141, 265, 157, 321},
		EditText {
			enabled,
			""
		},
		/* [13] */
		{120, 1, 136, 78},
		StaticText {
			disabled,
			"Angle:"
		},
		/* [14] */
		{141, 1, 157, 78},
		StaticText {
			disabled,
			"Frequency:"
		},
		/* [15] */
		{100, 88, 116, 124},
		StaticText {
			disabled,
			"Cyan"
		},
		/* [16] */
		{100, 140, 116, 200},
		StaticText {
			disabled,
			"Magenta"
		},
		/* [17] */
		{100, 208, 116, 258},
		StaticText {
			disabled,
			"Yellow"
		},
		/* [18] */
		{100, 276, 116, 312},
		StaticText {
			disabled,
			"Black"
		},
		/* [19] */
		{0, 80, 16, 224},
		StaticText {
			disabled,
			"Dithering/Halftoning"
		},
		/* [20] */
		{15, 0, 56, 328},
		UserItem {
			enabled
		},
		/* [21] */
		{60, 0, 168, 328},
		UserItem {
			enabled
		}
	}
};


// The gxExtendedDITLType tells the system how to map a collection
// to items in the a print dialog panel.

resource gxExtendedDITLType (kDitherPanelID, sysheap, purgeable)
{
	{
		RadioButtons 	{	kCMYKRenderCollectionType, kCMYKRenderCollectionID,
							4, {1,2}},
		PopUp        	{	kCMYKRenderCollectionType, kCMYKRenderCollectionID,
							6, 3},
		PopUp        	{	kCMYKRenderCollectionType, kCMYKRenderCollectionID,
							8, 4},
		EditTextReal 	{   kCMYKRenderCollectionType, kCMYKRenderCollectionID,
							10, 5, 1,"0.0","360.0"},
		EditTextReal 	{   kCMYKRenderCollectionType, kCMYKRenderCollectionID,
							26, 6, 0,"0.0","360.0"},
		EditTextReal 	{   kCMYKRenderCollectionType, kCMYKRenderCollectionID,
							14, 7, 0,"0.0","360.0"},
		EditTextReal 	{   kCMYKRenderCollectionType, kCMYKRenderCollectionID,
							30, 8, 0,"0.0","360.0"},
		EditTextReal 	{   kCMYKRenderCollectionType, kCMYKRenderCollectionID,
							18, 9, 0,"0.0","360.0"},
		EditTextReal 	{   kCMYKRenderCollectionType, kCMYKRenderCollectionID,
							34, 10, 0,"0.0","360.0"},
		EditTextReal 	{   kCMYKRenderCollectionType, kCMYKRenderCollectionID,
							22, 11, 0,"0.0","360.0"},
		EditTextReal 	{   kCMYKRenderCollectionType, kCMYKRenderCollectionID,
							38, 12, 0,"0.0","360.0"}
	};
};

// The two pop up control (and their menus) used to diaplay dither level and dot shape.

resource 'CNTL' (kDitherPanelID, sysheap,  purgeable) {
	{50, 10, 70, 260},
	0,
	visible,
	100,
	kDitherPanelID,
	1008,
	0,
	"Dither Level"
};

resource 'MENU' (kDitherPanelID, sysheap,  purgeable) {
	kDitherPanelID,
	textMenuProc,
	allEnabled,
	enabled,
	"Untitled",
	{	/* array: 16 elements */
		/* [1] */
		"1", noIcon, noKey, noMark, plain,
		/* [2] */
		"2", noIcon, noKey, noMark, plain,
		/* [3] */
		"3", noIcon, noKey, noMark, plain,
		/* [4] */
		"4", noIcon, noKey, noMark, plain,
		/* [5] */
		"5", noIcon, noKey, noMark, plain,
		/* [6] */
		"6", noIcon, noKey, noMark, plain,
		/* [7] */
		"7", noIcon, noKey, noMark, plain,
		/* [8] */
		"8", noIcon, noKey, noMark, plain,
		/* [9] */
		"9", noIcon, noKey, noMark, plain,
		/* [10] */
		"10", noIcon, noKey, noMark, plain,
		/* [11] */
		"11", noIcon, noKey, noMark, plain,
		/* [12] */
		"12", noIcon, noKey, noMark, plain,
		/* [13] */
		"13", noIcon, noKey, noMark, plain,
		/* [14] */
		"14", noIcon, noKey, noMark, plain,
		/* [15] */
		"15", noIcon, noKey, noMark, plain,
		/* [16] */
		"16", noIcon, noKey, noMark, plain
	}
};

resource 'CNTL' (kDitherPanelID+1, sysheap, purgeable) {
	{75, 10, 95, 260},
	0,
	visible,
	100,
	kDitherPanelID+1,
	1008,
	0,
	"Dot Shape"
};

resource 'MENU' (kDitherPanelID+1, sysheap,  purgeable) {
	kDitherPanelID+1,
	textMenuProc,
	allEnabled,
	enabled,
	"Untitled",
	{	/* array: 16 elements */
		/* [1] */
		"Round", noIcon, noKey, noMark, plain,
		/* [2] */
		"Spiral", noIcon, noKey, noMark, plain,
		/* [3] */
		"Square", noIcon, noKey, noMark, plain,
		/* [4] */
		"Line", noIcon, noKey, noMark, plain,
		/* [5] */
		"Elliptic", noIcon, noKey, noMark, plain,
		/* [6] */
		"Triangle", noIcon, noKey, noMark, plain,
		/* [7] */
		"Dispersed", noIcon, noKey, noMark, plain
	}
};
/* ------------------------------------------------------------------------ */
/* ICONS USED BY THE ADDED PRINT DIALOG PANELS */
/* ------------------------------------------------------------------------ */


resource 'icl4' ( kSeperationPanelID, sysheap, purgeable ) {
	$"00FF FFFF FFFF FFFF FFFF 0000 0000 0000"
	$"00F7 7777 7777 7777 777F 0000 0000 0000"
	$"00F7 7777 7777 7777 777F 0000 0000 0000"
	$"00F7 7777 7777 7777 777F FFF0 0000 0000"
	$"00F7 7777 7777 7777 777F 44F0 0000 0000"
	$"00F7 7777 7777 7777 777F 44F0 0000 0000"
	$"00F7 7777 7777 7777 777F 44FF FF00 0000"
	$"00F7 7777 7777 7777 777F 44F1 1F00 0000"
	$"00F7 7777 7777 7777 777F 44F1 1F00 0000"
	$"00F7 7777 7777 7777 777F 44F1 1FFF F000"
	$"00F7 7777 7777 7777 777F 44F1 1FFF F000"
	$"00F7 7777 7777 7777 777F 44F1 1FFF F000"
	$"00F7 7777 7777 7777 777F 44F1 1FFF F000"
	$"00F7 7777 7777 7777 777F 44F1 1FFF F000"
	$"00F7 7777 7777 7777 777F 44F1 1FFF F000"
	$"00F7 7777 7777 7777 777F 44F1 1FFF F000"
	$"00F7 7777 7777 7777 777F 44F1 1FFF F000"
	$"00F7 7777 7777 7777 777F 44F1 1FFF F000"
	$"00F7 7777 7777 7777 777F 44F1 1FFF F000"
	$"00F7 7777 7777 7777 777F 44F1 1FFF F000"
	$"00F7 7777 7777 7777 777F 44F1 1FFF F000"
	$"00F7 7777 7777 7777 777F 44F1 1FFF F000"
	$"00FF FFFF FFFF FFFF FFFF 44F1 1FFF F000"
	$"0000 0F44 4444 4444 4444 44F1 1FFF F000"
	$"0000 0F44 4444 4444 4444 44F1 1FFF F000"
	$"0000 0FFF FFFF FFFF FFFF FFF1 1FFF F000"
	$"0000 0000 F111 1111 1111 1111 1FFF F000"
	$"0000 0000 F111 1111 1111 1111 1FFF F000"
	$"0000 0000 FFFF FFFF FFFF FFFF FFFF F000"
	$"0000 0000 000F FFFF FFFF FFFF FFFF F000"
	$"0000 0000 000F FFFF FFFF FFFF FFFF F000"
	$"0000 0000 000F FFFF FFFF FFFF FFFF F0"
};

resource 'icl8' ( kSeperationPanelID, sysheap, purgeable ) {
	$"0000 FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF 0000 0000 0000 0000 0000 0000"
	$"0000 FFC0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0FF 0000 0000 0000 0000 0000 0000"
	$"0000 FFC0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0FF 0000 0000 0000 0000 0000 0000"
	$"0000 FFC0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0FF FFFF FF00 0000 0000 0000 0000"
	$"0000 FFC0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0FF 1313 FF00 0000 0000 0000 0000"
	$"0000 FFC0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0FF 1313 FF00 0000 0000 0000 0000"
	$"0000 FFC0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0FF 1313 FFFF FFFF 0000 0000 0000"
	$"0000 FFC0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0FF 1313 FF05 05FF 0000 0000 0000"
	$"0000 FFC0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0FF 1313 FF05 05FF 0000 0000 0000"
	$"0000 FFC0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0FF 1313 FF05 05FF FFFF FF00 0000"
	$"0000 FFC0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0FF 1313 FF05 05FF FFFF FF00 0000"
	$"0000 FFC0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0FF 1313 FF05 05FF FFFF FF00 0000"
	$"0000 FFC0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0FF 1313 FF05 05FF FFFF FF00 0000"
	$"0000 FFC0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0FF 1313 FF05 05FF FFFF FF00 0000"
	$"0000 FFC0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0FF 1313 FF05 05FF FFFF FF00 0000"
	$"0000 FFC0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0FF 1313 FF05 05FF FFFF FF00 0000"
	$"0000 FFC0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0FF 1313 FF05 05FF FFFF FF00 0000"
	$"0000 FFC0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0FF 1313 FF05 05FF FFFF FF00 0000"
	$"0000 FFC0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0FF 1313 FF05 05FF FFFF FF00 0000"
	$"0000 FFC0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0FF 1313 FF05 05FF FFFF FF00 0000"
	$"0000 FFC0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0FF 1313 FF05 05FF FFFF FF00 0000"
	$"0000 FFC0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0"
	$"C0C0 C0FF 1313 FF05 05FF FFFF FF00 0000"
	$"0000 FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF 1313 FF05 05FF FFFF FF00 0000"
	$"0000 0000 00FF 1313 1313 1313 1313 1313"
	$"1313 1313 1313 FF05 05FF FFFF FF00 0000"
	$"0000 0000 00FF 1313 1313 1313 1313 1313"
	$"1313 1313 1313 FF05 05FF FFFF FF00 0000"
	$"0000 0000 00FF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FF05 05FF FFFF FF00 0000"
	$"0000 0000 0000 0000 FF05 0505 0505 0505"
	$"0505 0505 0505 0505 05FF FFFF FF00 0000"
	$"0000 0000 0000 0000 FF05 0505 0505 0505"
	$"0505 0505 0505 0505 05FF FFFF FF00 0000"
	$"0000 0000 0000 0000 FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FF00 0000"
	$"0000 0000 0000 0000 0000 00FF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FF00 0000"
	$"0000 0000 0000 0000 0000 00FF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FF00 0000"
	$"0000 0000 0000 0000 0000 00FF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FF"
};

resource 'ICN#' ( kSeperationPanelID, sysheap, purgeable ) {
	{	/* array: 2 elements */
		/* [1] */
		$"3FFF F000 2000 1000 2888 9000 2000 1E00"
		$"2222 3A00 2000 1600 2888 9BC0 2000 1640"
		$"2222 3A40 2000 1678 2888 9A78 2000 1678"
		$"2222 3A78 2000 1678 2888 9A78 2000 1678"
		$"2222 3A78 2000 1678 2888 9A78 2000 1678"
		$"2222 3A78 2000 1678 3FFF FA78 0555 5678"
		$"06AA AA78 07FF FE78 0080 0078 0080 0078"
		$"00FF FFF8 001F FFF8 001F FFF8 001F FFF8",
		/* [2] */
		$"3FFF F000 3FFF F000 3FFF F000 3FFF FE00"
		$"3FFF FE00 3FFF FE00 3FFF FFC0 3FFF FFC0"
		$"3FFF FFC0 3FFF FFF8 3FFF FFF8 3FFF FFF8"
		$"3FFF FFF8 3FFF FFF8 3FFF FFF8 3FFF FFF8"
		$"3FFF FFF8 3FFF FFF8 3FFF FFF8 3FFF FFF8"
		$"3FFF FFF8 3FFF FFF8 3FFF FFF8 07FF FFF8"
		$"07FF FFF8 07FF FFF8 00FF FFF8 00FF FFF8"
		$"00FF FFF8 001F FFF8 001F FFF8 001F FFF8"
	}
};

resource 'ics#' ( kSeperationPanelID, sysheap, purgeable ) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 7F00 5100 41C0 4540 4170 5150 415C"
		$"455C 7F5C 105C 1FDC 041C 07FC 01FC 01FC",
		/* [2] */
		$"0000 7F00 7F00 7FC0 7FC0 7FF0 7FF0 7FFC"
		$"7FFC 7FFC 1FFC 1FFC 07FC 07FC 01FC 01FC"
	}
};

resource 'ics4' ( kSeperationPanelID, sysheap, purgeable ) {
	$"0000 0000 0000 0000 0FFF FFFF 0000 0000"
	$"0F77 777F 0000 0000 0F77 777F FF00 0000"
	$"0F77 777F CF00 0000 0F77 777F CFFF 0000"
	$"0F77 777F CF1F 0000 0F77 777F CF1F FF00"
	$"0F77 777F CF1F FF00 0FFF FFFF CF1F FF00"
	$"000F CCCC CF1F FF00 000F FFFF FF1F FF00"
	$"0000 0F11 111F FF00 0000 0FFF FFFF FF00"
	$"0000 000F FFFF FF00 0000 000F FFFF FF"
};

resource 'ics8' ( kSeperationPanelID, sysheap, purgeable ) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"00FF FFFF FFFF FFFF 0000 0000 0000 0000"
	$"00FF C0C0 C0C0 C0FF 0000 0000 0000 0000"
	$"00FF C0C0 C0C0 C0FF FFFF 0000 0000 0000"
	$"00FF C0C0 C0C0 C0FF 13FF 0000 0000 0000"
	$"00FF C0C0 C0C0 C0FF 13FF FFFF 0000 0000"
	$"00FF C0C0 C0C0 C0FF 13FF 05FF 0000 0000"
	$"00FF C0C0 C0C0 C0FF 13FF 05FF FFFF 0000"
	$"00FF C0C0 C0C0 C0FF 13FF 05FF FFFF 0000"
	$"00FF FFFF FFFF FFFF 13FF 05FF FFFF 0000"
	$"0000 00FF 1313 1313 13FF 05FF FFFF 0000"
	$"0000 00FF FFFF FFFF FFFF 05FF FFFF 0000"
	$"0000 0000 00FF 0505 0505 05FF FFFF 0000"
	$"0000 0000 00FF FFFF FFFF FFFF FFFF 0000"
	$"0000 0000 0000 00FF FFFF FFFF FFFF 0000"
	$"0000 0000 0000 00FF FFFF FFFF FFFF"
};

resource 'icl4' (kDitherPanelID, sysheap, purgeable) {
	$"00FF FFFF FFFF FFFF FFFF FF00 0000 0000"
	$"00FC CCCC CCCC CCCC CCCC CFF0 0000 0000"
	$"00FC CC7C 7C7C 7C7C 7C7C 7FCF 0000 0000"
	$"00FC CCCC CCC7 C7C7 C777 7FCC F000 0000"
	$"00FC 7CCC 7C7C 7C7C 7C7C 7FCC CF00 0000"
	$"00FC CCCC CCCC C7C7 7777 7FCC CCF0 0000"
	$"00FC CC7C 7C7C 7C7C 7C7C 7FCC CCCF 0000"
	$"00FC CCCC CCC7 C7C7 C777 7FFF FFFF F000"
	$"00FC 7CCC 7C7C 7C7C 7C7C 7C77 777C F000"
	$"00FC CCCC CCCC C4C4 4444 4444 444C F000"
	$"00FC CC4C 4C4C 4C4C 4C4C 444C 444C F000"
	$"00FC CCCC CCC4 C4C4 C444 4444 444C F000"
	$"00FC 4CCC 4C4C 4C4C 4C4C 4C44 444C F000"
	$"00FC CCCC CCCC C4C4 4444 4444 444C F000"
	$"00FC CC4C 4C4C 4C4C 4C4C 444C 444C F000"
	$"00FC CCCC CCC4 C4C4 C444 4444 444C F000"
	$"00FC 1CCC 1C1C 1C1C 1C1C 1C11 111C F000"
	$"00FC CCCC CCCC C1C1 1111 1111 111C F000"
	$"00FC CC1C 1C1C 1C1C 1C1C 111C 111C F000"
	$"00FC CCCC CCC1 C1C1 C111 1111 111C F000"
	$"00FC 1CCC 1C1C 1C1C 1C1C 1C11 111C F000"
	$"00FC CCCC CCCC C1C1 1111 1111 111C F000"
	$"00FC CC1C 1C1C 1C1C 1C1C 111C 111C F000"
	$"00FC CCCC CCCF CFCF CFFF FFFF FFFC F000"
	$"00FC FCCC FCFC FCFC FCFC FCFF FFFC F000"
	$"00FC CCCC CCCC CFCF FFFF FFFF FFFC F000"
	$"00FC CCFC FCFC FCFC FCFC FFFC FFFC F000"
	$"00FC CCCC CCCF CFCF CFFF FFFF FFFC F000"
	$"00FC FCCC FCFC FCFC FCFC FCFF FFFC F000"
	$"00FC CCCC CCCC CCCC CCCC CCCC CCCC F000"
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF F0"
};

resource 'icl8' (kDitherPanelID, sysheap, purgeable) {
	$"0000 FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF 0000 0000 0000 0000 0000"
	$"0000 FF2B 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2BFF FF00 0000 0000 0000 0000"
	$"0000 FF2B 2B2B C02B C02B C02B C02B C02B"
	$"C02B C02B C0FF 2BFF 0000 0000 0000 0000"
	$"0000 FF2B 2B2B 2B2B 2B2B 2BC0 2BC0 2BC0"
	$"2BC0 C0C0 C0FF 2B2B FF00 0000 0000 0000"
	$"0000 FF2B C02B 2B2B C02B C02B C02B C02B"
	$"C02B C02B C0FF 2B2B 2BFF 0000 0000 0000"
	$"0000 FF2B 2B2B 2B2B 2B2B 2B2B 2BC0 2BC0"
	$"C0C0 C0C0 C0FF 2B2B 2B2B FF00 0000 0000"
	$"0000 FF2B 2B2B C02B C02B C02B C02B C02B"
	$"C02B C02B C0FF 2B2B 2B2B 2BFF 0000 0000"
	$"0000 FF2B 2B2B 2B2B 2B2B 2BC0 2BC0 2BC0"
	$"2BC0 C0C0 C0FF FFFF FFFF FFFF FF00 0000"
	$"0000 FF2B C02B 2B2B C02B C02B C02B C02B"
	$"C02B C02B C02B C0C0 C0C0 C02B FF00 0000"
	$"0000 FF2B 2B2B 2B2B 2B2B 2B2B 2B13 2B13"
	$"1313 1313 1313 1313 1313 132B FF00 0000"
	$"0000 FF2B 2B2B 132B 132B 132B 132B 132B"
	$"132B 132B 1313 132B 1313 132B FF00 0000"
	$"0000 FF2B 2B2B 2B2B 2B2B 2B13 2B13 2B13"
	$"2B13 1313 1313 1313 1313 132B FF00 0000"
	$"0000 FF2B 132B 2B2B 132B 132B 132B 132B"
	$"132B 132B 132B 1313 1313 132B FF00 0000"
	$"0000 FF2B 2B2B 2B2B 2B2B 2B2B 2B13 2B13"
	$"1313 1313 1313 1313 1313 132B FF00 0000"
	$"0000 FF2B 2B2B 132B 132B 132B 132B 132B"
	$"132B 132B 1313 132B 1313 132B FF00 0000"
	$"0000 FF2B 2B2B 2B2B 2B2B 2B13 2B13 2B13"
	$"2B13 1313 1313 1313 1313 132B FF00 0000"
	$"0000 FF2B 052B 2B2B 052B 052B 052B 052B"
	$"052B 052B 052B 0505 0505 052B FF00 0000"
	$"0000 FF2B 2B2B 2B2B 2B2B 2B2B 2B05 2B05"
	$"0505 0505 0505 0505 0505 052B FF00 0000"
	$"0000 FF2B 2B2B 052B 052B 052B 052B 052B"
	$"052B 052B 0505 052B 0505 052B FF00 0000"
	$"0000 FF2B 2B2B 2B2B 2B2B 2B05 2B05 2B05"
	$"2B05 0505 0505 0505 0505 052B FF00 0000"
	$"0000 FF2B 052B 2B2B 052B 052B 052B 052B"
	$"052B 052B 052B 0505 0505 052B FF00 0000"
	$"0000 FF2B 2B2B 2B2B 2B2B 2B2B 2B05 2B05"
	$"0505 0505 0505 0505 0505 052B FF00 0000"
	$"0000 FF2B 2B2B 052B 052B 052B 052B 052B"
	$"052B 052B 0505 052B 0505 052B FF00 0000"
	$"0000 FF2B 2B2B 2B2B 2B2B 2BFF 2BFF 2BFF"
	$"2BFF FFFF FFFF FFFF FFFF FF2B FF00 0000"
	$"0000 FF2B FF2B 2B2B FF2B FF2B FF2B FF2B"
	$"FF2B FF2B FF2B FFFF FFFF FF2B FF00 0000"
	$"0000 FF2B 2B2B 2B2B 2B2B 2B2B 2BFF 2BFF"
	$"FFFF FFFF FFFF FFFF FFFF FF2B FF00 0000"
	$"0000 FF2B 2B2B FF2B FF2B FF2B FF2B FF2B"
	$"FF2B FF2B FFFF FF2B FFFF FF2B FF00 0000"
	$"0000 FF2B 2B2B 2B2B 2B2B 2BFF 2BFF 2BFF"
	$"2BFF FFFF FFFF FFFF FFFF FF2B FF00 0000"
	$"0000 FF2B FF2B 2B2B FF2B FF2B FF2B FF2B"
	$"FF2B FF2B FF2B FFFF FFFF FF2B FF00 0000"
	$"0000 FF2B 2B2B 2B2B 2B2B 2B2B 2B2B 2B2B"
	$"2B2B 2B2B 2B2B 2B2B 2B2B 2B2B FF00 0000"
	$"0000 FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FF"
};

resource 'ICN#' (kDitherPanelID, sysheap, purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"3FFF FC00 2000 0600 22AA AD00 2015 7C80"
		$"28AA AC40 2005 FC20 22AA AC10 2015 7FF8"
		$"28AA ABE8 2005 FFE8 22AA AEE8 2015 7FE8"
		$"28AA ABE8 2005 FFE8 22AA AEE8 2015 7FE8"
		$"28AA ABE8 2005 FFE8 22AA AEE8 2015 7FE8"
		$"28AA ABE8 2005 FFE8 22AA AEE8 2015 7FE8"
		$"28AA ABE8 2005 FFE8 22AA AEE8 2015 7FE8"
		$"28AA ABE8 2000 0008 3FFF FFF8",
		/* [2] */
		$"3FFF FC00 3FFF FE00 3FFF FF00 3FFF FF80"
		$"3FFF FFC0 3FFF FFE0 3FFF FFF0 3FFF FFF8"
		$"3FFF FFF8 3FFF FFF8 3FFF FFF8 3FFF FFF8"
		$"3FFF FFF8 3FFF FFF8 3FFF FFF8 3FFF FFF8"
		$"3FFF FFF8 3FFF FFF8 3FFF FFF8 3FFF FFF8"
		$"3FFF FFF8 3FFF FFF8 3FFF FFF8 3FFF FFF8"
		$"3FFF FFF8 3FFF FFF8 3FFF FFF8 3FFF FFF8"
		$"3FFF FFF8 3FFF FFF8 3FFF FFF8"
	}
};

resource 'ics#' (kDitherPanelID, sysheap, purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"3FF8 2014 2AB2 217E 2ABA 215A 2AAA 215A"
		$"2ABA 215A 2AAA 215A 2ABA 2002 3FFE",
		/* [2] */
		$"3FF8 3FFC 3FFE 3FFE 3FFE 3FFE 3FFE 3FFE"
		$"3FFE 3FFE 3FFE 3FFE 3FFE 3FFE 3FFE"
	}
};

resource 'ics4' (kDitherPanelID, sysheap, purgeable) {
	$"00FF FFFF FFFF F000 00FC CCCC CCCF CF00"
	$"00FC 7C7C 7C7F CCF0 00FC CCC7 C7CF FFF0"
	$"00FC 7C7C 7C77 7CF0 00FC CCC4 C4C4 4CF0"
	$"00FC 4C4C 4C4C 4CF0 00FC CCC4 C4C4 4CF0"
	$"00FC 1C1C 1C11 1CF0 00FC CCC1 C1C1 1CF0"
	$"00FC 1C1C 1C1C 1CF0 00FC CCCF CFCF FCF0"
	$"00FC FCFC FCFF FCF0 00FC CCCC CCCC CCF0"
	$"00FF FFFF FFFF FFF0"
};

resource 'ics8' (kDitherPanelID, sysheap, purgeable) {
	$"0000 FFFF FFFF FFFF FFFF FFFF FF00 0000"
	$"0000 FF2B 2B2B 2B2B 2B2B 2BFF 2BFF 0000"
	$"0000 FF2B C02B C02B C02B C0FF 2B2B FF00"
	$"0000 FF2B 2B2B 2BC0 2BC0 2BFF FFFF FF00"
	$"0000 FF2B C02B C02B C02B C0C0 C02B FF00"
	$"0000 FF2B 2B2B 2B13 2B13 2B13 132B FF00"
	$"0000 FF2B 132B 132B 132B 132B 132B FF00"
	$"0000 FF2B 2B2B 2B13 2B13 2B13 132B FF00"
	$"0000 FF2B 052B 052B 052B 0505 052B FF00"
	$"0000 FF2B 2B2B 2B05 2B05 2B05 052B FF00"
	$"0000 FF2B 052B 052B 052B 052B 052B FF00"
	$"0000 FF2B 2B2B 2BFF 2BFF 2BFF FF2B FF00"
	$"0000 FF2B FF2B FF2B FF2B FFFF FF2B FF00"
	$"0000 FF2B 2B2B 2B2B 2B2B 2B2B 2B2B FF00"
	$"0000 FFFF FFFF FFFF FFFF FFFF FFFF FF"
};

